
/*************************************************************************
 *  t@C     : winanim.c
 *  e           : Aj[Vf[^̊Ǘ
 *  vtBbNX : WinAnim
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-07-27
 *  Rg       :
 *  o[W     : 1.00
 ************************************************************************/

#define __WINANIM_C

/*
######## CN[ht@C ########
*/

#include <htwinitembox.h>
#include "wininterface.h"
#include "winanim.h"

/*
######## 萔錾 ########
*/

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## ÓIϐ ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐    : WinAnim_DrawAnimation
 *  e    : Aj[Vf[^`
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-07-27
 *  Rg:
 *------------------------------------------------------------------------
 *  in : WinAnimation* pAnim (Aj[Vf[^\̂ւ̃|C^)
 *       Sint32* timer (^C}[ւ̃|C^(ōXV)j
 *       WinXY32* pos (\ꏊ̍\̂ւ̃|C^(EBhE))
 *  out: void
 *************************************************************************
 */
void WinAnim_DrawAnimation(WinAnimation* pAnim, Sint32* timer, WinXY32* pos)
{
    HTtItemBox itemBox;
    Sint32 itemBoxNo;

    /* R}AjԊuPȏȂ^C}[̏ */
    if (pAnim->itemBoxNum > 1 && pAnim->interval > 0) {
        (*timer)++;
        /* ^C}[Oɖ߂ */
        if (*timer >= pAnim->interval * pAnim->itemBoxNum) {
            *timer = 0;
        }
        /* \ACe{bNX */
        itemBoxNo = (Sint32)(*timer / pAnim->interval);
    }
    else {
        itemBoxNo = 0;
    }
    itemBox = pAnim->pItemBox[itemBoxNo];
    itemBox.lefttop.x += pos->x;
    itemBox.lefttop.y += pos->y;

    /* ACe{bNX\ */
    HTtDrawItemBox(&itemBox);
}

/*
######## [J֐ ####################################################
*/

/*
######## ܂ ########################################################
*/
