
/*************************************************************************
 *  t@C     : winbtnmenu.h
 *  e           : {^j[EBhE쐬Ǘ
 *  vtBbNX : WinBtnMenu
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-07-30
 *  Rg       :
 *  o[W     : 1.00
 ************************************************************************/

#ifndef __WINBTNMENU_H
#define __WINBTNMENU_H

/*
######## CN[ht@C ########
*/

#include "wininterface.h"
#include "winanim.h"
#include "winbtn.h"

/*
######## 萔錾 ########
*/

enum { /* {^ʒû낦 */
    WINBTNMENU_LAYOUT_XCYC, /* Z^O */
    WINBTNMENU_LAYOUT_XCYT, /* wZ^Ox㑵 */
    WINBTNMENU_LAYOUT_XCYB, /* wZ^Ox */
    WINBTNMENU_LAYOUT_XLYC, /* wxZ^O */
    WINBTNMENU_LAYOUT_XLYT, /* wx㑵 */
    WINBTNMENU_LAYOUT_XLYB, /* wx */
    WINBTNMENU_LAYOUT_XRYC, /* wExZ^O */
    WINBTNMENU_LAYOUT_XRYT, /* wEx㑵 */
    WINBTNMENU_LAYOUT_XRYB, /* wEx */

    WINBTNMENU_LAYOUT_END
};

enum { /* {^J[\g̎ */
    WINBTNMENU_CURSOR_NONE,  /* J[\\Ȃ */
    WINBTNMENU_CURSOR_FRAME, /* t[g */

    WINBTNMENU_CURSOR_END
};

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

typedef struct { /* {^j[EBhEX^C\ */
    /* EBhE */
    WinXY32 winPos;                 /* EBhEʒu(XY) */
    WinXY32 winSize;                /* EBhETCY(XY) */
    Sint32 winBgColor;              /* wiF(ARGB) */

    /* {^ */
    WinXY32 btnPos;                 /* {^Q̍ʒu(XY)(winPos) */
    Sint32 btnNum;                  /* {^ */
    Sint32 btnRow;                  /* {^̗()̐ */
    WinXY32 btnClip;                /* ɉʏɏo{^(XY) */
    WinAnimation* pAnimOn;          /* {^pAnimationzւ̃|C^
                                       (J[\ĂƂ̃Aj) */
    WinAnimation* pAnimOff;         /* {^pAnimationzւ̃|C^
                                       (J[\ĂȂƂ̃Aj) */
    NJS_TEXLIST* pTexList;          /* {^̃eNX`Xg */
    WinXY32 btnSpace;               /* {^̎n_Ԋu(XY) */
    Sint32 btnLayout;               /* {^̕ו(WINBTNMENU_LAYOUT) */
    Sint32 btnCursor;               /* J[\̎(WINBTNMENU_CURSOR) */
    Sint32 initialBtnID;            /* ŏɃJ[\o{^̔ԍ */

    /* R[obN */
    void (*moveFunc)(Sint32 btnID); /* J[\ړR[obN */
    void (*pushFunc)(Sint32 btnID); /* {^R[obN */
    void (*winProc)(void);          /* Ă΂R[obN */

    /* ǉ\̕ϐ */
      /* g̉oA */
      /* [v邩 */
} WinBtnMenuStyle;

/*
######## O[oϐ ########
*/

/*
######## ֐̐ƃvg^Cv錾 ########
*/

/*************************************************************************
 *  ֐    : WinBtnMenu_CreateMenu
 *  e    : {^j[EBhE̍쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-07-27
 *  Rg:
 *------------------------------------------------------------------------
 *  in : WinBtnMenuStyle* pBtnMenuStyle
 *       ({^j[X^C\̂ւ̃|C^)
 *  out: Sint32 win (EBhÊhc)
 *************************************************************************
 */
Sint32 WinBtnMenu_CreateMenu(WinBtnMenuStyle* pBtnMenuStyle);

/*************************************************************************
 *  ֐    : WinBtnMenu_CloseMenu
 *  e    : {^j[EBhȄI
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-07-27
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Sint32 win (EBhÊhc)
 *  out: void
 *************************************************************************
 */
void WinBtnMenu_CloseMenu(Sint32 win);

#endif  /* #ifndef __WINBTNMENU_H */

/*
######## ܂ ########
*/

