
/*************************************************************************
 *  t@C     : btnwin0.c
 *  e           : {^EBhEOiCj[j쐬Ǘ
 *  vtBbNX : BtnWin0
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-02 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN0_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "btnwin1.h"
#include "btnwin2.h"
#include "btnwin3.h"
#include "btnwin4.h"
#include "topwin.h"

#include "btnwin0.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 50, 75, 75)) /* wiF */

#define WINPOS_LEFT (60) /* EBhEW */
#define WINPOS_TOP (100) /* EBhEW */

#define BTNNUM (4) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void ChangeMode0(LPHTtButtonArg arg);
static void ChangeMode1(LPHTtButtonArg arg);
static void ChangeMode2(LPHTtButtonArg arg);
static void ChangeMode3(LPHTtButtonArg arg);

static void ValueChange(LPHTtButtonArg arg);
static void ReadChart(LPHTtButtonArg arg);
static void AAAAAAAA(LPHTtButtonArg arg);
static void OptionMode(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin0;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID        COLOR       UV */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN00_0, COL4_BTN00, UV4_88, /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN01_0, COL4_BTN01, UV4_88, /* 1 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN02_0, COL4_BTN02, UV4_88, /* 2 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN03_0, COL4_BTN03, UV4_88, /* 3 */
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY           */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[3], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ChangeMode0,
    ChangeMode1,
    ChangeMode2,
    ChangeMode3,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ValueChange,
    ReadChart,
    AAAAAAAA,
    OptionMode,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin0_CreateWindow
 *  e    : {^EBhEO쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin0_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhEȎ̐ݒ */
    SetBtnAttr();

    /* {^ACɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_HORIZ);

    /* {^EBhEO쐬 */
    btnWin0 = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin0, &winTexList);

    /* {^EBhEOR[obN֐ݒ */
    SetBtnCallBack();
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^EBhEȎ̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhEÕR[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhEO[hOɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN00);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhEO[hPɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN01);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode2
 *  e    : {^EBhEO[hQɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode2(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN02);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode3
 *  e    : {^EBhEO[hRɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode3(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN03);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ValueChange
 *  e    : {^EBhEO[hOŉꂽƂ̃R[obN֐
 *            {^EBhEPilύXjo
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ValueChange(LPHTtButtonArg arg)
{
    TopWin_OpenBarGraph();
    BtnWin1_CreateWindow();
}

/*************************************************************************
 *  ֐  : ReadChart
 *  e    : {^EBhEO[hPŉꂽƂ̃R[obN֐
 *            {^EBhEQi`[g\jo
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ReadChart(LPHTtButtonArg arg)
{
    TopWin_OpenRadarChart();
    BtnWin2_CreateWindow();
}

/*************************************************************************
 *  ֐  : AAAAAAAA
 *  e    : {^EBhEO[hQŉꂽƂ̃R[obN֐
 *            {^EBhERo
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void AAAAAAAA(LPHTtButtonArg arg)
{
    BtnWin3_CreateWindow();
}

/*************************************************************************
 *  ֐  : OptionMode
 *  e    : {^EBhEO[hRŉꂽƂ̃R[obN֐
 *            {^EBhESiIvV\jo
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void OptionMode(LPHTtButtonArg arg)
{
    BtnWin4_CreateWindow();
}

