
/*************************************************************************
 *  t@C     : btnwin4.c
 *  e           : {^EBhESiIvVj[j쐬Ǘ
 *  vtBbNX : BtnWin4
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-09 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN4_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "winframe.h"
#include "topwin.h"
#include "btnwin5.h"

#include "btnwin4.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 50, 50, 75)) /* wiF */

#define WINPOS_LEFT (60 + 128 + 128 + 128) /* EBhEW */
#define WINPOS_TOP (140) /* EBhEW */

#define BTNNUM (2) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void ChangeMode0(LPHTtButtonArg arg);
static void ChangeMode1(LPHTtButtonArg arg);

static void BGSelect(LPHTtButtonArg arg);
static void WinClose(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin4;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID         COLOR       UV */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN40_0,  COL4_BTN40, UV4_88, /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTNRET_0, COL4_BTN40, UV4_88, /* 1 */
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY           */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ChangeMode0,
    ChangeMode1,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    BGSelect,
    WinClose,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin4_CreateWindow
 *  e    : {^EBhES쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin4_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhES̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* {^EBhEQ쐬 */
    btnWin4 = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin4, &winTexList);

    /* {^EBhESR[obN֐ݒ */
    SetBtnCallBack();
}

/*************************************************************************
 *  ֐  : BtnWin4_MapWindow
 *  e    : {^EBhESĕ\
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin4_MapWindow(void)
{
    /* EBhEg`JñR[obN */
    HTSetWinFrameStartCallBack(btnWin4, NULL);
    HTMapWindow(btnWin4);
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^EBhES̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhES̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
    /* EBhEg`JñR[obN */
    HTSetWinFrameStartCallBack(btnWin4, WinFrame_StartCallBack);
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhES[hOɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN40);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhES[hPɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTNRET);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : BGSelect
 *  e    : {^EBhES[hOŉꂽƂ̃R[obN֐
 *            BA{^EBhET(wiύX)o
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void BGSelect(LPHTtButtonArg arg)
{
    HTUnMapWindow(btnWin4);
    BtnWin5_CreateWindow();
}

/*************************************************************************
 *  ֐  : WinClose
 *  e    : {^EBhES[hPŉꂽƂ̃R[obN֐
 *            {^EBhES
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void WinClose(LPHTtButtonArg arg)
{
    HTCloseWindow(btnWin4);
}
