
/*************************************************************************
 *  t@C     : topwin.c
 *  e           : gbvEBhE̍쐬Ǘ
 *  vtBbNX : TopWin
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-01 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __TOPWIN_C

/*
######## CN[ht@C ########
*/

#include <ninja.h>
#include <ninjawin.h>
#include <njdef.h>
#include <htwindow.h>
#include <htwindrawbargraph.h>
#include <htwinraderchart.h>
#include "htwinitemgadget.h"

#include "main.h"
#include "windef.h"
#include "wintex.h"
#include "btnwin0.h"

#include "topwin.h"

/*
######## 萔錾 ########
*/

/* EBhEW */
#define WINPOS_LEFT (40)
#define WINPOS_TOP (40)
#define WINPOS_RIGHT (600)
#define WINPOS_BOTTOM (440)

/* ACe{bNXKWFbgp萔 */
#define ITEMBOXGADGET (12) /* ACe{bNXKWFbg̐ */

/* EBhE̔zF(afR[obNĝŐF͊֌WȂ) */
#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF */
#define WINBGCOLOR (ARGB(0, 0, 0, 0)) /* ʐF */

/* afeNX`p萔 */
#define BG_INTERVAL (0.5F) /* af؂ւԊu(b) */
#define BG_VERTEXES (4) /* _̐ */
#define BG_POS_Z (-65535.0F) /* yl */
#define BG_NUM_X (5) /* w̕ */
#define BG_NUM_Y (5) /* x̕ */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void CreateItemBoxGadget(void);
static Sint32 BGCallBack(Float left, Float top, Float right, Float bottom);
static void WinProc(HTWINHANDLE win);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE topWin;

/* ACe{bNXKWFbgpp[^ */
static HTtItemBoxGadgetArg itemBoxGadgetArg[ITEMBOXGADGET];

/* ACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture      TextureID           COLOR        UV */
    /* ^CgpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_TITLE_0,  COL4_TITLE,   UV4_88H, /*  0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_TITLE_1,  COL4_TITLE,   UV4_48H, /*  1 */
    /* {^EBhEOpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES00_0,  COL4_MESSAGE, UV4_88H, /*  2 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES01_0,  COL4_MESSAGE, UV4_88H, /*  3 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES01_1,  COL4_MESSAGE, UV4_68H, /*  4 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES02_0,  COL4_MESSAGE, UV4_88H, /*  5 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES02_1,  COL4_MESSAGE, UV4_28H, /*  6 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES03_0,  COL4_MESSAGE, UV4_88H, /*  7 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES03_1,  COL4_MESSAGE, UV4_48H, /*  8 */
    /* {^EBhEPpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES10_0,  COL4_MESSAGE, UV4_88H, /*  9 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES10_1,  COL4_MESSAGE, UV4_28H, /* 10 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES11_0,  COL4_MESSAGE, UV4_88H, /* 11 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES11_1,  COL4_MESSAGE, UV4_28H, /* 12 */
    /* {^EBhEQpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES20_0,  COL4_MESSAGE, UV4_88H, /* 13 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES20_1,  COL4_MESSAGE, UV4_58H, /* 14 */
    /* {^EBhERpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES30_0,  COL4_MESSAGE, UV4_88H, /* 15 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES30_1,  COL4_MESSAGE, UV4_78H, /* 16 */
    /* {^EBhESpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES40_0,  COL4_MESSAGE, UV4_88H, /* 17 */
    /* {^EBhETpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES50_0,  COL4_MESSAGE, UV4_88H, /* 18 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MES50_1,  COL4_MESSAGE, UV4_78H, /* 19 */
    /* {^EBhEʃbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MESRET_0, COL4_MESSAGE, UV4_88H, /* 20 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_MESRET_1, COL4_MESSAGE, UV4_48H, /* 21 */
};

/* bZ[WpACe̍쐬 */
static HTtItem mesItemT[] = { /* ^Cg */
  /*  ItemPtr                 TCY                   */
    1, &itemAttr[0], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[1], ONESTRTEX_X * 4, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM00[] = { /* {^00 */
    1, &itemAttr[2], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
};
static HTtItem mesItemM01[] = { /* {^01 */
    1, &itemAttr[3], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[4], ONESTRTEX_X * 6, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM02[] = { /* {^02 */
    1, &itemAttr[5], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[6], ONESTRTEX_X * 2, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM03[] = { /* {^03 */
    1, &itemAttr[7], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[8], ONESTRTEX_X * 4, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM10[] = { /* {^10 */
    1, &itemAttr[9],  ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[10], ONESTRTEX_X * 2, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM11[] = { /* {^11 */
    1, &itemAttr[11], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[12], ONESTRTEX_X * 2, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM20[] = { /* {^20 */
    1, &itemAttr[13], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[14], ONESTRTEX_X * 5, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM30[] = { /* {^30 */
    1, &itemAttr[15], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[16], ONESTRTEX_X * 7, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemM40[] = { /* {^40 */
    1, &itemAttr[17], 128, 16, 0, 0,
};
static HTtItem mesItemM50[] = { /* {^50 */
    1, &itemAttr[18], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[19], ONESTRTEX_X * 7, ONESTRTEX_Y * 1, 128, 0,
};
static HTtItem mesItemMRET[] = { /* {^RET */
    1, &itemAttr[20], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1, &itemAttr[21], ONESTRTEX_X * 4, ONESTRTEX_Y * 1, 128, 0,
};

/* bZ[WpACe{bNX̍쐬 */
static HTtItemBox mesItemBox[ITEMBOXGADGET] = {
  /* Itm ItmAryPtr  R[obN */
    2, mesItemT,    0,  0,  NULL,  /* TOPWIN_MESID_TITLE  */
    1, mesItemM00,  20, 35, NULL,  /* TOPWIN_MESID_BTN00  */
    2, mesItemM01,  20, 35, NULL,  /* TOPWIN_MESID_BTN01  */
    2, mesItemM02,  20, 35, NULL,  /* TOPWIN_MESID_BTN02  */
    2, mesItemM03,  20, 35, NULL,  /* TOPWIN_MESID_BTN03  */
    2, mesItemM10,  20, 35, NULL,  /* TOPWIN_MESID_BTN10  */
    2, mesItemM11,  20, 35, NULL,  /* TOPWIN_MESID_BTN11  */
    2, mesItemM20,  20, 35, NULL,  /* TOPWIN_MESID_BTN20  */
    2, mesItemM30,  20, 35, NULL,  /* TOPWIN_MESID_BTN30  */
    1, mesItemM40,  20, 35, NULL,  /* TOPWIN_MESID_BTN40  */
    2, mesItemM50,  20, 35, NULL,  /* TOPWIN_MESID_BTN50  */
    2, mesItemMRET, 20, 35, NULL,  /* TOPWIN_MESID_BTNRET */
};

/* af[h(̃t@CQƂ)*/
Sint8 topWin_bgMode;

/* _Otpp[^ */
#include "bargraph0.dat"
#include "bargraph1.dat"
#include "bargraph2.dat"

/* [_[`[gpp[^ */
#include "radar0.dat"

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : TopWin_CreateWindow
 *  e    : gbvEBhE쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-05-29 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* gbvEBhE쐬 */
    topWin = HTCreateSimpleWindow(WINPOS_LEFT, WINPOS_TOP,
        WINPOS_RIGHT, WINPOS_BOTTOM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(topWin, &winTexList);

    /* ACe{bNXKWFbgibZ[Wj̍쐬 */
    CreateItemBoxGadget();

    /* R[obN֐ݒ */
    HTSetWinProc(topWin, WinProc);

    /* gbvEChÊafR[obN֐o^ */
    HTSetBGCallBack(topWin, BGCallBack);

    /* _Ot쐬 */
    HTtCreateBarGraph(topWin, &barGraph0);
    HTtCreateBarGraph(topWin, &barGraph1);
    HTtCreateBarGraph(topWin, &barGraph2);
    HTSetGadgetHyde((HTWINGadget *)&barGraph0);
    HTSetGadgetHyde((HTWINGadget *)&barGraph1);
    HTSetGadgetHyde((HTWINGadget *)&barGraph2);

    /* [_[`[g쐬 */
    HTtCreateRaderChart(topWin, &radarChart0Arg);
    HTSetGadgetHyde((HTWINGadget *)&radarChart0Arg);

    /* af[h̏ */
    topWin_bgMode = TOPWIN_BGMODE_0;

    /* EBhE}bv */
    HTMapWindow(topWin);

    /* {^EBhEO쐬 */
    BtnWin0_CreateWindow();
}

/*************************************************************************
 *  ֐    : TopWin_ChangeMessage
 *  e    : {^bZ[W̕ύX
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Sint8 mes bZ[Wԍ
 *  out: void
 *************************************************************************
 */
void TopWin_ChangeMessage(Sint8 mes)
{
    Sint8 i;
    HTtItemBoxGadgetArg* pItemBoxGadgetArg =
                               &itemBoxGadgetArg[TOPWIN_MESID_BTN00];

    /* ÕbZ[WB */
    for (i = 0; i < TOPWIN_MESID_BTNEND - TOPWIN_MESID_BTN00; i++) {
        HTSetGadgetHyde((HTWINGadget *)pItemBoxGadgetArg);
        pItemBoxGadgetArg++;
    }
    /* VbZ[W\ */
    HTSetGadgetVisible((HTWINGadget *)&itemBoxGadgetArg[mes]);
}

/*************************************************************************
 *  ֐    : TopWin_OpenBarGraph()
 *  e    : _Oto
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_OpenBarGraph(void)
{
    HTSetGadgetVisible((HTWINGadget *)&barGraph0);
    HTSetGadgetVisible((HTWINGadget *)&barGraph1);
    HTSetGadgetVisible((HTWINGadget *)&barGraph2);
}

/*************************************************************************
 *  ֐    : TopWin_CloseBarGraph()
 *  e    : _Ot
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_CloseBarGraph(void)
{
    HTSetGadgetHyde((HTWINGadget *)&barGraph0);
    HTSetGadgetHyde((HTWINGadget *)&barGraph1);
    HTSetGadgetHyde((HTWINGadget *)&barGraph2);
}

/*************************************************************************
 *  ֐    : TopWin_OpenRadarChart()
 *  e    : [_[`[go
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-11 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_OpenRadarChart(void)
{
    rc0LpValueTable[0] = rc0ValueTable[TOPWIN_RCMODE_NONE];
    rc0ColorTable[0] = rc0Color[TOPWIN_RCMODE_NONE][0];
    HTSetGadgetVisible((HTWINGadget *)&radarChart0Arg);
}

/*************************************************************************
 *  ֐    : TopWin_CloseRadarChart()
 *  e    : [_[`[g
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-11 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_CloseRadarChart(void)
{
    HTSetGadgetHyde((HTWINGadget *)&radarChart0Arg);
}

/*************************************************************************
 *  ֐    : TopWin_ChangeRadarChart()
 *  e    : [_[`[g̕\Gg[ύX
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-11 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Sint8 num Gg[ԍ
 *  out: void
 *************************************************************************
 */
void TopWin_ChangeRadarChart(Sint8 num)
{
    rc0LpValueTable[0] = rc0ValueTable[num];
    rc0ColorTable[0] = rc0Color[num][0];
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : CreateItemBoxGadget
 *  e    : ACe{bNXKWFbgibZ[Wj̍쐬
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void CreateItemBoxGadget(void)
{
    Sint8 i;
    HTtItemBoxGadgetArg* pItemBoxGadgetArg = &itemBoxGadgetArg[0];
    HTtItemBox* pMesItemBox = &mesItemBox[0];

    for (i = 0; i < ITEMBOXGADGET; i++) { /* ACe{bNX */
        pItemBoxGadgetArg->itemBox = *pMesItemBox;
        HTtCreateItemBoxGadget(topWin, pItemBoxGadgetArg);
        HTSetGadgetHyde((HTWINGadget *)pItemBoxGadgetArg);/* ͔\ */
        pItemBoxGadgetArg++;
        pMesItemBox++;
    }
    /* Title\ */
    HTSetGadgetVisible((HTWINGadget *)(&itemBoxGadgetArg[TOPWIN_MESID_TITLE]));
}

/*************************************************************************
 *  ֐  : WinProc
 *  e    : gbvEBhE̕WR[obN֐
 *            ZKS̕\
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : HTWINHANDLE win EBhEhc
 *  out: void
 *************************************************************************
 */
static void WinProc(HTWINHANDLE win)
{
    /* IuWFNg(model.c) */
    extern NJS_OBJECT object_segalogo_s1_s1[];

    static Angle angleY = NJM_DEG_ANG(0);
    NJS_SCREEN scr;

    /* ]p̍XV */
    angleY += NJM_DEG_ANG(3.0F);
    if (angleY >= NJM_DEG_ANG(360.0F)) {
        angleY -= NJM_DEG_ANG(360.0F);
    }

    /* XN[ݒ */
    scr.dist = 500.0F;
    scr.w = 640.0F;
    scr.h = 480.0F;
    scr.cx = 585.0F;
    scr.cy = 18.0F;
    njSetScreen(&scr);

    njPushMatrix(NULL);
        njTranslate(NULL, 0.0F, 0.0F, -30.0F);
        njRotateY(NULL, angleY);
        njSetConstantAttr(0xffffffff, NJD_FLAG_USE_FLAT);
        njDrawObject(object_segalogo_s1_s1);
    njPopMatrix(1);

    /* XN[ݒɖ߂ */
    scr.cx = 320.0F;
    scr.cy = 240.0F;
    njSetScreen(&scr);
}

/*************************************************************************
 *  ֐  : BGCallBack
 *  e    : gbvEBhÊaf`悷Ƃ̃R[obN֐
 *            afE֓
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-05-29 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Float left   EBhEwW
 *       Float top    EBhExW
 *       Float right  EBhEEwW
 *       Float bottom EBhEExW
 *  out: TRUE
 *************************************************************************
 */
static Sint32 BGCallBack(Float left, Float top, Float right, Float bottom)
{
    static Sint16 timer = 0;
    static Bool reverse = FALSE; /* eNX`]tO */

    static Sint16 u = 0, v = 0;
    static NJS_POINT2 p[BG_VERTEXES]; /* eNX`̂S_̍W */
    static NJS_COLOR uv[BG_VERTEXES];
    static NJS_POINT2COL p2c = { p, COL4_ALPHA64, uv, BG_VERTEXES };

    timer++;
    if (timer >= BG_INTERVAL * FRAME_PER_SEC) { /* ]tOύX */
        reverse = !reverse;
        timer = 0;
    }

    /* WZbg */
    p[0].x = left;  p[0].y = top;
    p[1].x = right; p[1].y = top;
    p[2].x = right; p[2].y = bottom;
    p[3].x = left;  p[3].y = bottom;

    /* tulZbg */
    u = u - 1;
    if (u <= -UV_MAX) {
        u = u + UV_MAX;
    }
    v = v + 1;
    if (v >= UV_MAX) {
        v = v - UV_MAX;
    }

    uv[0].tex.u = u;
    uv[0].tex.v = v;
    uv[1].tex.u = u + UV_MAX * BG_NUM_X - 1;
    uv[1].tex.v = v;
    uv[2].tex.u = u + UV_MAX * BG_NUM_X - 1;
    uv[2].tex.v = v + UV_MAX * BG_NUM_Y - 1;
    uv[3].tex.u = u;
    uv[3].tex.v = v + UV_MAX * BG_NUM_Y - 1;

    if (reverse == TRUE) { /* eNX`] */
        uv[0].tex.u *= -1;
        uv[1].tex.u *= -1;
        uv[2].tex.u *= -1;
        uv[3].tex.u *= -1;
    }

    /* af[hɂăeNX`؂ւ */
    if (topWin_bgMode == TOPWIN_BGMODE_0) {
        njSetTextureNum(WINTEX_ID_PIC0);
    }
    else if(topWin_bgMode == TOPWIN_BGMODE_1) {
        njSetTextureNum(WINTEX_ID_PIC1);
    }
    else if(topWin_bgMode == TOPWIN_BGMODE_2) {
        njSetTextureNum(WINTEX_ID_PIC2);
    }

    /* af\ */
    njDrawPolygon2D(&p2c, BG_VERTEXES, BG_POS_Z,
        NJD_FILL | NJD_TRANSPARENT | NJD_USE_TEXTURE);

    return TRUE;
}

/*
######## ܂ ########################################################
*/
