
/*************************************************************************
 *  t@C     : wintex.c
 *  e           : EBhEVXẽeNX`̍쐬Ǘ
 *  vtBbNX : WinTex
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-01 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __WINTEX_C

/*
######## CN[ht@C ########
*/

#include <ninja.h>
#include <ninjawin.h>
#include <njdef.h>
#include <htfont.h>
#include <htwindow.h>

#include "windef.h"

#include "wintex.h"

/*
######## 萔錾 ########
*/

#define TEXGLOBALINDEX (1000000) /* eNX`̃O[oCfbNX */

/* eNX`̃TCŶ͍Ƃ16w16hbgWwP */
#define STRTEX_WIDTH (ONESTRTEX_X * 8)
#define STRTEX_HEIGHT (ONESTRTEX_Y * 1)

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

/*
######## ÓIϐ ########
*/

/* EBhEŎgeNX`pϐ */
/* TEXLIST ͑̃t@CQƂ */
static NJS_TEXINFO texInfo[WINTEX_TEXNUM];
static NJS_TEXNAME texName[WINTEX_TEXNUM];
NJS_TEXLIST winTexList = { texName, WINTEX_TEXNUM };

/* eNX`pobt@ */
static Uint16 texBuffer[WINTEX_STRNUM][STRTEX_WIDTH * STRTEX_HEIGHT];

/* eNX`Ɏg镶(wb_̂hcƑΉ) */
static char *strTex[WINTEX_STRNUM] = {
    /* ^CgbZ[W */
    "EBhEeXg", "j[",
    /* {^EBhEOj[ */
    "lύX",
    "`[gmF",
    "I",
    "IvV",
    /* {^EBhEPj[ */
    "lAbv",
    "l_E",
    /* {^EBhEQj[ */
    "RobgzO",
    "_j[",
    "ObO",
    "AbV",
    "ނ",
    /* {^EBhESj[ */
    "wi",
    /* {^EBhETj[ */
    "O",
    "P",
    "Q",

    /* {^EBhEʃj[ */
    "Ƃɖ߂",

    /* [_[`[gڗpeNX` */
    "F",
    "i",
    "DS",
    "}",
    "̈",

    /* {^EBhEObZ[W */
    "lύX܂",
    "[_[`[g", "mF܂",
    "o^I\", "܂",
    "IvVݒ", "s܂",
    /* {^EBhEPbZ[W */
    "lAbv", "܂",
    "l_E", "܂",
    /* {^EBhEQbZ[W */
    "J[\Ō", "lIׂ",
    /* {^EBhERbZ[W */
    "{^΃", "j[ɖ߂",
    /* {^EBhESbZ[W */
    "wiύX܂",
    /* {^EBhETbZ[W */
    "wi߂Č", "{^",

    /* {^EBhEʐbZ[W */
    "Cj[", "߂܂",
};

/* GeNX`̃t@C */
static char *picTex[WINTEX_PICNUM] = {
    "logo_backW.pvr",
    "ninja.pvr",
    "fer_emblem_sb.pvr",
    "Oldwood.pvr",
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐    : WinTex_CreateTexture
 *  e    : EBhEVXeŎgeNX`̍쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void WinTex_CreateTexture(void)
{
    Sint16 i;
    Sint16 texNo = 0; /* eNX`ԍ */
    NJS_TEXINFO* pTexInfo = &texInfo[0];
    NJS_TEXNAME* pTexName = &texName[0];

    { /* eNX`̍쐬 */
        char** pStrTex = &strTex[0]; /* eNX`ւ̃|C^ */
        memset(texBuffer, 0, sizeof(texBuffer));
        for (i = 0; i < WINTEX_STRNUM; i++) {
            njSetTextureInfo(pTexInfo, texBuffer[texNo],
                NJD_TEXFMT_ARGB_1555 | NJD_TEXFMT_RECTANGLE,
                STRTEX_WIDTH, STRTEX_HEIGHT);
            njSetTextureName(pTexName, pTexInfo, TEXGLOBALINDEX + texNo,
               NJD_TEXATTR_TYPE_MEMORY | NJD_TEXATTR_GLOBALINDEX);
           htFontGetStr(*pStrTex, &texBuffer[texNo],
                STRTEX_WIDTH, HTFONTATTR_POS_CENTER);
           pTexInfo++;
           pTexName++;
           pStrTex++;
           texNo++;
        }
    }

    {  /* GeNX`̍쐬 */
        char** pPicTex; /* GeNX`t@Cւ̃|C^ */
        pPicTex = &picTex[0];
        for (i = 0; i < WINTEX_PICNUM; i++) {
            njSetTextureName(pTexName, *pPicTex, TEXGLOBALINDEX + texNo,
                NJD_TEXATTR_GLOBALINDEX);
            pTexName++;
            pPicTex++;
            texNo++;
        }
    }

    /* eNX`̃[h */
    njLoadTexture(&winTexList);
}

/*
######## [J֐ ####################################################
*/

/*
######## ܂ ########################################################
*/
