/*
 * pbhf[^
 *
 * $Id: pad.h,v 1.1 1998/02/23 07:47:19 horita Exp horita $
 *
 * $Log: pad.h,v $
 * Revision 1.1  1998/02/23 07:47:19  horita
 * Initial revision
 *
 */

#ifndef __PAD_H__
#define __PAD_H__

#include <Ninjawin.h>

#ifdef __cplusplus
extern "C" {
#endif

#define SOFT_RESET	(NJD_DGT_TA | NJD_DGT_TB | NJD_DGT_TC | NJD_DGT_ST)
#define ALL_TRIG	(NJD_DGT_TA | NJD_DGT_TB | NJD_DGT_TC | \
			 NJD_DGT_TX | NJD_DGT_TY | NJD_DGT_TZ)
#define isPush(PORT, DGT)	((per[(PORT)]->push & (DGT)) == (DGT))
#define isOn(PORT, DGT)	((per[(PORT)]->on & (DGT)) == (DGT))
#define isActive(PORT, DGT)	((per[(PORT)]->on & (DGT)))
#define isOff(PORT, DGT)	((per[(PORT)]->on & (DGT)) == 0)

#define PORT0	0
#define PORT1	1

extern NJS_PERIPHERAL *per[];

// API
extern void PeriCheck(void);

#ifdef __cplusplus
}
#endif

#endif
