/*
 * timer.c -- Win32
 */

#include <Ninjawin.h>
#include "system.h"

static Uint32 time[MAX_TIMER];

void InitTimer(int i)
{
	if (i > MAX_TIMER - 1) {
		i = MAX_TIMER - 1;
	}
	time[i] = GetCurrentTime();
}

Uint32 GetTimer(int i)
{
	if (i > MAX_TIMER - 1) {
		i = MAX_TIMER - 1;
	}
	return GetCurrentTime() - time[i];
}

