#!/bin/sh

Header=../motion.h
Csrc=../motdata.c
Msrc=../motenum.h

#echo '#include <ninja.h>' > $Header
#echo 'extern const int Max_Motnum;' >> $Header
#echo 'typedef struct HTAnim_Cmd {' >> $Header
#echo '	NJS_MOTION* motion;' >> $Header
#echo '	int type;' >> $Header
#echo '} HTAnim_Cmd;' >> $Header

#echo 'extern HTAnim_Cmd cmd_tbl[];' >> $Header

echo '#include <ninja.h>' > $Csrc
echo "#include \"motion.h\"" >> $Csrc
grep -e '^MOTION ' $* | sed 's/.*MOTION\(.*\)\[\]/extern NJS_MOTION \1[];/g' >> $Csrc
echo 'HTAnim_Cmd cmd_tbl[] = {' >> $Csrc
#grep -e '^MOTION ' $* | sed 's/.*MOTION\(.*\)\[\]/\1,/g' >> $Csrc
grep -e '^MOTION ' $* | awk '
/motion_f/ {
    gsub("\\[\\]","",$2);
    printf("	%s, 0,\n", $2);
    }
/motion_p/ {
    gsub("\\[\\]","",$2);
    printf("	%s, 1,\n", $2);
    }
/motion_b/ {
    gsub("\\[\\]","",$2);
    printf("	%s, 2,\n", $2);
    }
/motion_r/ {
    gsub("\\[\\]","",$2);
    printf("	%s, 3,\n", $2);
    }
' >> $Csrc
echo '};' >> $Csrc
echo 'const int Max_Motnum = sizeof(cmd_tbl)/sizeof(HTAnim_Cmd);' >> $Csrc

echo '#include <ninja.h>' > $Msrc
echo 'enum {' >> $Msrc
grep -e '^MOTION ' $* | sed 's/.*MOTION \(.*\)\[\]/	motidx_\1,/g' | sed 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/' >> $Msrc
echo '};' >> $Msrc
