/*============================================================
 * Name  : root.c
 *
 * Desc  : ^XN̏ƃ[g^XN̐ݒ
 *
 * prefix:
 *
 * $Id$
 *
 * $Log$
 *============================================================*/

#if DOCUMENT
#endif

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include <ninja.h>
#include "htmem_mgr.h"
#include "httask_mgr.h"
#include "pad.h"
#include "game.h"

/*============================================================
  Define
  ============================================================*/
#define TASK_BUFFER_SIZE	0x20000L

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/

/*============================================================
  Globals
  ============================================================*/

/*============================================================
  Local Prototypes
  ============================================================*/

/*============================================================
  Static
  ============================================================*/
static Uint8 TaskBuffer[TASK_BUFFER_SIZE];
static HTTaskFunc RootTaskF = {
	NULL,
	PeriCheck,
	NULL,
	NULL,
};


/*============================================================
 Name:
 Desc:
 Kind: Global
 User: Eiji Horita horita@cs1.sega.co.jp
 Date: 1998/04/24 (Friday)
 Misc:
 ------------------------------------------------------------
 in  :
 out :
 ============================================================*/
void SetRoot(void)
{
	void* root_task;

	HTMem_Init(TaskBuffer, TASK_BUFFER_SIZE);
	root_task = HTTask_CreateRoot(0, &RootTaskF);
	set_game_task(root_task);
}


