/*============================================================
 * Name  : smoke.h
 *
 * Desc  : smoke ̒`
 *
 * prefix:
 *
 * $Id$
 *
 * $Log$
 *============================================================*/


#ifndef __SMOKE_H__
#define __SMOKE_H__

/*============================================================
  Include
  ============================================================*/
#include <Ninja.h>
#include "mytype.h"

/*============================================================
  Define
  ============================================================*/
/*============================================================
  Structure
  ============================================================*/
/*
 * ^XN̒`
 */
typedef struct _smoke_task_ {
	int timer;
	NJS_POINT3 pos;									/* W */
	Angle ang[3];									/* px */
} smoke_task;

/*============================================================
  API
  ============================================================*/
extern smoke_task* set_smoke_task(void*, LPNJS_POINT3);

#endif /* __SMOKE_H__ */
