/*============================================================
 * Name  : htwinitem.h
 * 
 * Desc  : ACeNX
 *
 * prefix:
 *
 * $Id: htwinitem.h,v 1.1 1998/04/20 06:00:42 horita Exp horita $
 *
 * $Log: htwinitem.h,v $
 * Revision 1.1  1998/04/20 06:00:42  horita
 * Initial revision
 *
 *============================================================*/

#ifndef __HTWINITEM_H__
#define __HTWINITEM_H__

#if DOCUMENT
#endif

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include "htwindow.h"

/*============================================================
  Define
  ============================================================*/
enum {
	ITEM_ATTR_POLYGON,
	ITEM_ATTR_TEXTURE
};

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/
/* Item̃eNX`[̑ */
typedef struct tagHTtItemAttr HTtItemAttr;
typedef struct tagHTtItemAttr *LPHTtItemAttr;
struct tagHTtItemAttr {
	Sint16	  attr;									/* {^̑(Polygon/Texture) */
	Sint16	  tex_no;								/* eNX`[̔ԍ */
	NJS_COLOR* color;
	NJS_COLOR* texture;
};

typedef struct tagHTtItem HTtItem;
typedef struct tagHTtItem *LPHTtItem;
struct tagHTtItem {
	Sint32 			nItem;							/* ̃ACeɑ݂|SEeNX`[ */
	LPHTtItemAttr	lp_item_attr;					/* Lf[^ւ̃|C^ */
	NJS_POINT2 		size;							/* TCY */
	NJS_POINT2 		lefttop;						/*  */
};


/*============================================================
  API
  ============================================================*/
void HTtDrawItem(LPHTtItem arg);
void HTtDrawItemZ(LPHTtItem arg, Float z);

#endif /* __HTWINITEM_H__ */
