/*============================================================
 * Name  : root.c
 *
 * Desc  : root ̐
 *
 * prefix:
 *
 * $Id$
 *
 * $Log$
 *============================================================*/

/*============================================================
  Include
  ============================================================*/
#include <Ninjawin.h>
#include <NjDef.h>
#include "htmem_mgr.h"
#include "httask_mgr.h"
#include "root.h"
#include "game.h"

/*============================================================
  Local
  ============================================================*/
/*
 * ^XN֐̒`
 */
static void root_ctrl(root_task*);
static void root_draw(root_task*);


/*============================================================
  Define
  ============================================================*/
#define MAX_HEAP	0x20000L

/*============================================================
  Static
  ============================================================*/
/*
 * ^XN֐̒`
 */
static HTTaskFunc root_taskf = {
	NULL,
	root_ctrl,
	root_draw,
	NULL,
};

static char Heap_Area[MAX_HEAP];

/*************************************************************
 *-----------------------------------------------------------*
 * Local Function                                            *
 *-----------------------------------------------------------*
 *************************************************************/
/*============================================================
 Name: root_ctrl
 Desc: root^XN̐֐
 Kind: Local
 User: Eiji Horita horita@cs1.sega.co.jp
 Date:   98/04/28 (Tue)
 Misc:
 ------------------------------------------------------------
 in  :
 out :
 ============================================================*/
static void root_ctrl(root_task* this)
{
}

/*============================================================
 Name: root_draw
 Desc: root^XN̕`֐
 Kind: Local
 User: Eiji Horita horita@cs1.sega.co.jp
 Date:   98/04/28 (Tue)
 Misc:
 ------------------------------------------------------------
 in  :
 out :
 ============================================================*/
static void root_draw(root_task* this)
{
	printf("1\n");
}

/*************************************************************
 *-----------------------------------------------------------*
 * Global Function                                           *
 *-----------------------------------------------------------*
 *************************************************************/
/*============================================================
 Name: set_root_task
 Desc: Zbgp֐
 Kind: Global
 User: Eiji Horita horita@cs1.sega.co.jp
 Date:   98/04/28 (Tue)
 Misc:
 ------------------------------------------------------------
 in  :	
 out :
 ============================================================*/
root_task* set_root_task(void)
{
	root_task* this;

	HTMem_Init(Heap_Area, MAX_HEAP);
	this = HTTask_CreateRoot(sizeof(root_task), &root_taskf);
	set_game_task(this);
	return this;
}

