#!/Perl/bin/perl

sub toupper {
    local($str) = $_[0];
    $str =~ y/a-z/A-Z/;
    $str;
};

$#ARGV == 0 || die "^XNKvłB\n";
open(CSRC, "> $ARGV[0].c") || die "$ARGV[0].c ܂\n";
open(HSRC, "> $ARGV[0].h") || die "$ARGV[0].h ܂\n";

#
# Header
#
printf(CSRC "/*============================================================\n");
printf(CSRC " * Name  : $ARGV[0].c\n");
printf(CSRC " *\n");
printf(CSRC " * Desc  : $ARGV[0] ̐\n");
printf(CSRC " *\n");
printf(CSRC " * prefix:\n");
printf(CSRC " *\n");
printf(CSRC " * \$Id\$\n");
printf(CSRC " *\n");
printf(CSRC " * \$Log\$\n");
printf(CSRC " *============================================================*/\n");
printf(CSRC "\n");

printf(CSRC "/*============================================================\n");
printf(CSRC "  Include\n");
printf(CSRC "  ============================================================*/\n");
printf(CSRC "#include <Ninjawin.h>\n");
printf(CSRC "#include <NjDef.h>\n");
printf(CSRC "#include \"httask_mgr.h\"\n");
printf(CSRC "#include \"$ARGV[0].h\"\n");

printf(CSRC "\n");
printf(CSRC "/*============================================================\n");
printf(CSRC "  Define\n");
printf(CSRC "  ============================================================*/\n\n");
printf(CSRC "/*============================================================\n");
printf(CSRC "  Local\n");
printf(CSRC "  ============================================================*/\n");
printf(CSRC "/*\n * ^XN֐̒`\n */\n");
printf(CSRC "static void $ARGV[0]_ctrl($ARGV[0]_task*);\n");
printf(CSRC "static void $ARGV[0]_draw($ARGV[0]_task*);\n");
printf(CSRC "\n");
printf(CSRC "\n");
printf(CSRC "/*============================================================\n");
printf(CSRC "  Static\n");
printf(CSRC "  ============================================================*/\n");
printf(CSRC "/*\n * ^XN֐̒`\n */\n");
printf(CSRC "static HTTaskFunc $ARGV[0]_taskf = {\n");
printf(CSRC "	NULL,\n");
printf(CSRC "	$ARGV[0]_ctrl,\n");
printf(CSRC "	$ARGV[0]_draw,\n");
printf(CSRC "	NULL,\n");
printf(CSRC "};\n");
printf(CSRC "\n");
printf(CSRC "/*************************************************************\n");
printf(CSRC " *-----------------------------------------------------------*\n");
printf(CSRC " * Local Function                                            *\n");
printf(CSRC " *-----------------------------------------------------------*\n");
printf(CSRC " *************************************************************/\n\n");
printf(CSRC "/*============================================================\n");
printf(CSRC " Name: $ARGV[0]_ctrl\n");
printf(CSRC " Desc: $ARGV[0]^XN̐֐\n");
printf(CSRC " Kind: Local\n");
printf(CSRC " User: $ENV{\"LOGNAME\"} - $ENV{\"LOGNAME\"}\@csrd.sega.co.jp\n");
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
printf(CSRC " Date: %4d/%02d/%02d (%s)\n", $year, $mon + 1, $mday, (Sun,Mon,Tue,Wed,Thu,Fri,Sat)[$wday]);
printf(CSRC " Misc:\n");
printf(CSRC " ------------------------------------------------------------\n");
printf(CSRC " in  :\n");
printf(CSRC " out :\n");
printf(CSRC " ============================================================*/\n");

printf(CSRC "static void $ARGV[0]_ctrl($ARGV[0]_task* this)\n");
printf(CSRC "{\n");
printf(CSRC "}\n");
printf(CSRC "\n");
printf(CSRC "/*============================================================\n");
printf(CSRC " Name: $ARGV[0]_draw\n");
printf(CSRC " Desc: $ARGV[0]^XN̕`֐\n");
printf(CSRC " Kind: Local\n");
printf(CSRC " User: $ENV{\"LOGNAME\"} - $ENV{\"LOGNAME\"}\@csrd.sega.co.jp\n");
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
printf(CSRC " Date: %4d/%02d/%02d (%s)\n", $year, $mon + 1, $mday, (Sun,Mon,Tue,Wed,Thu,Fri,Sat)[$wday]);
printf(CSRC " Misc:\n");
printf(CSRC " ------------------------------------------------------------\n");
printf(CSRC " in  :\n");
printf(CSRC " out :\n");
printf(CSRC " ============================================================*/\n");
printf(CSRC "static void $ARGV[0]_draw($ARGV[0]_task* this)\n");
printf(CSRC "{\n");
printf(CSRC "}\n");

printf(CSRC "/*************************************************************\n");
printf(CSRC " *-----------------------------------------------------------*\n");
printf(CSRC " * Global Function                                           *\n");
printf(CSRC " *-----------------------------------------------------------*\n");
printf(CSRC " *************************************************************/\n\n");
printf(CSRC "/*============================================================\n");
printf(CSRC " Name: set_$ARGV[0]_task\n");
printf(CSRC " Desc: Zbgp֐\n");
printf(CSRC " Kind: Global\n");
printf(CSRC " User: $ENV{\"LOGNAME\"} - $ENV{\"LOGNAME\"}\@csrd.sega.co.jp\n");
($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
printf(CSRC " Date: %4d/%02d/%02d (%s)\n", $year, $mon + 1, $mday, (Sun,Mon,Tue,Wed,Thu,Fri,Sat)[$wday]);
printf(CSRC " Misc:\n");
printf(CSRC " ------------------------------------------------------------\n");
printf(CSRC " in  :	\n");
printf(CSRC " out :\n");
printf(CSRC " ============================================================*/\n");
printf(CSRC "$ARGV[0]_task* set_$ARGV[0]_task(void* leader)\n");
printf(CSRC "{\n");
printf(CSRC "	$ARGV[0]_task* this;\n");
printf(CSRC "\n");
printf(CSRC "	this = HTTask_CreateChild(leader, sizeof($ARGV[0]_task), &$ARGV[0]_taskf);\n");
printf(CSRC "	return this;\n");
printf(CSRC "}\n");
printf(CSRC "\n");


printf(HSRC "/*============================================================\n");
printf(HSRC " * Name  : $ARGV[0].h\n");
printf(HSRC " *\n");
printf(HSRC " * Desc  : $ARGV[0] ̒`\n");
printf(HSRC " *\n");
printf(HSRC " * prefix:\n");
printf(HSRC " *\n");
printf(HSRC " * \$Id\$\n");
printf(HSRC " *\n");
printf(HSRC " * \$Log\$\n");
printf(HSRC " *============================================================*/\n");
printf(HSRC "\n");

printf(HSRC "\n#ifndef __%s_H__\n#define __%s_H__\n\n", toupper($ARGV[0]), toupper($ARGV[0]));
printf(HSRC "/*============================================================\n");
printf(HSRC "  Include\n");
printf(HSRC "  ============================================================*/\n");
printf(HSRC "#include <Ninja.h>\n\n");
printf(HSRC "/*============================================================\n");
printf(HSRC "  Define\n");
printf(HSRC "  ============================================================*/\n");
printf(HSRC "/*============================================================\n");
printf(HSRC "  Structure\n");
printf(HSRC "  ============================================================*/\n");
printf(HSRC "/*\n * ^XN̒`\n */\n");
printf(HSRC "typedef struct _$ARGV[0]_task_ {\n");
printf(HSRC "	int mode;\n");
printf(HSRC "} $ARGV[0]_task;\n\n");
printf(HSRC "/*============================================================\n");
printf(HSRC "  API\n");
printf(HSRC "  ============================================================*/\n");
printf(HSRC "extern $ARGV[0]_task* set_%s_task(void*);\n\n", $ARGV[0]);
printf(HSRC "#endif /* __%s_H__ */\n", toupper($ARGV[0]));

