#
# ȍ~͂炭ׂẴvbgtH[œ
#

MKDEP	= mkdep

CC	= shcc.bat
LD	= shld.bat
AR	= shar.bat
AS	= shas.bat

ROF2BIN	= rof2bin
MKDEP	= mkdep
SHINOBIDIR	= d:/katana/SHINOBI
SHINOBILIBDIR	= $(SHINOBIDIR)/lib
SHINOBIINCDIR	= $(SHINOBIDIR)/include

SHCINC		= d:/katana/shc/include
SHCLIB		= d:/katana/shc/lib

CCFLAGS	= -I$(SHINOBIINCDIR) -I$(SHCINC) \
	-cpu=sh4 -division=cpu -endian=little -double=float -pic=0 \
	-macsave=0 -string=const -comment=nonest -sjis -optimize=1 -size -extra=a=400\
	-D__SHC__ -D__SET4__
PREOBJ	= $(SHINOBILIBDIR)/strt1.obj $(SHINOBILIBDIR)/strt2.obj
SYSLIBS	= $(SHINOBILIBDIR)/ninja.lib $(SHINOBILIBDIR)/shinobi.lib

OBJDIR	= obj

OBJS	= $(addprefix $(OBJDIR)/,$(subst .src,.obj,$(subst .c,.obj,$(SRCS)))) 

all : $(TARGET)

ifeq ($(suffix $(TARGET)), .lib)
$(TARGET) : $(OBJS) Makefile 
	@rm -f $@
	$(AR) c $@ $(OBJS)
else 	# suffix
$(TARGET) : $(OBJS) Makefile  $(LIBS)
	$(LD) -o $@ -entry=_START_SYS -start=DSGLH/0C010000 -debug -elf -form=a -print=$(@:.elf=.map) $(PREOBJ) $(OBJS) $(SUFOBJ) $(LIBS) $(SYSLIBS) 
endif	# suffix

.SUFFIXES: .c .obj .abs .bin .lib

$(OBJDIR)/%.obj: %.c
	time $(CC) $(CFLAGS) $(CCFLAGS) -o $@ $<

$(OBJDIR)/%.obj: %.src
	$(AS) -o $@ -debug=dwarf $<

.abs.bin:
	$(ROF2BIN) -q $< 

clean:
	rm $(TARGET) $(OBJS)


depend:
	@if [ ! -f depend.make ]; then touch depend.make; fi
	$(MKDEP) -f depend.make $(CFLAGS) $(CCFLAGS) $(SRCS)

-include depend.make

