/*============================================================
 * Name  : htwinbuttonbox.h
 *
 * Desc  : {^{bNXNX̒`
 *
 * prefix:
 *
 * $Id$
 *
 * $Log$
 *============================================================*/
#ifndef __HTWINBUTTONBOX_H__
#define __HTWINBUTTONBOX_H__

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include "htwindow.h"
#include "htwinitembox.h"

/*============================================================
  Define
  ============================================================*/

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/
typedef struct tagHTtButtonBoxArg HTtButtonBoxArg;
typedef struct tagHTtButtonBoxArg *LPHTtButtonBoxArg;

struct tagHTtButtonBoxArg {
	HTWINGadget node;								/* Link node */
	LPHTtItemBox	lp_item;						/* ACe */
	NJS_POINT2		size;							/*  */
	LPHtWinGadgetCallBack lp_push_action;			/* {^ƂɎsR[obN */
	LPHtWinGadgetCallBack lp_onbutton_action;		/* J[\{^ɗƂɎsR[obN */
};

/*============================================================
  API
  ============================================================*/
void HTtCreateButtonBox(HTWINHANDLE win, LPHTtButtonBoxArg arg); /* {^̍쐬 */
void HTtSetPushButtonBoxCallBack(LPHTtButtonBoxArg arg, LPHtWinGadgetCallBack func); /* J[\{^ɗ̃ANV */
void HTtSetOnButtonBoxCallBack(LPHTtButtonBoxArg arg, LPHtWinGadgetCallBack func); /* {^̃ANV */
void HTtDrawButtonBox(LPHTtButtonBoxArg arg);		/* {^̕` */

#endif /* __HTWINBUTTONBOX_H__ */
/*============================================================*
 * End of File                                                *
 *============================================================*/
