/*
 * RGB
 *
 * $Id: x_rgb.h,v 1.1 1998/02/23 07:48:24 horita Exp $
 *
 * $Log: x_rgb.h,v $
 * Revision 1.1  1998/02/23 07:48:24  horita
 * Initial revision
 *
 */

#ifndef __XRGB_H__
#define __XRGB_H__

#include <njdef.h>

#define SNOW_COL ARGB(0xff, 255, 250, 250)
#define GHOST_WHITE_COL ARGB(0xff, 248, 248, 255)
#define GHOSTWHITE_COL ARGB(0xff, 248, 248, 255)
#define WHITE_SMOKE_COL ARGB(0xff, 245, 245, 245)
#define WHITESMOKE_COL ARGB(0xff, 245, 245, 245)
#define GAINSBORO_COL ARGB(0xff, 220, 220, 220)
#define FLORAL_WHITE_COL ARGB(0xff, 255, 250, 240)
#define FLORALWHITE_COL ARGB(0xff, 255, 250, 240)
#define OLD_LACE_COL ARGB(0xff, 253, 245, 230)
#define OLDLACE_COL ARGB(0xff, 253, 245, 230)
#define LINEN_COL ARGB(0xff, 250, 240, 230)
#define ANTIQUE_WHITE_COL ARGB(0xff, 250, 235, 215)
#define ANTIQUEWHITE_COL ARGB(0xff, 250, 235, 215)
#define PAPAYA_WHIP_COL ARGB(0xff, 255, 239, 213)
#define PAPAYAWHIP_COL ARGB(0xff, 255, 239, 213)
#define BLANCHED_ALMOND_COL ARGB(0xff, 255, 235, 205)
#define BLANCHEDALMOND_COL ARGB(0xff, 255, 235, 205)
#define BISQUE_COL ARGB(0xff, 255, 228, 196)
#define PEACH_PUFF_COL ARGB(0xff, 255, 218, 185)
#define PEACHPUFF_COL ARGB(0xff, 255, 218, 185)
#define NAVAJO_WHITE_COL ARGB(0xff, 255, 222, 173)
#define NAVAJOWHITE_COL ARGB(0xff, 255, 222, 173)
#define MOCCASIN_COL ARGB(0xff, 255, 228, 181)
#define CORNSILK_COL ARGB(0xff, 255, 248, 220)
#define IVORY_COL ARGB(0xff, 255, 255, 240)
#define LEMON_CHIFFON_COL ARGB(0xff, 255, 250, 205)
#define LEMONCHIFFON_COL ARGB(0xff, 255, 250, 205)
#define SEASHELL_COL ARGB(0xff, 255, 245, 238)
#define HONEYDEW_COL ARGB(0xff, 240, 255, 240)
#define MINT_CREAM_COL ARGB(0xff, 245, 255, 250)
#define MINTCREAM_COL ARGB(0xff, 245, 255, 250)
#define AZURE_COL ARGB(0xff, 240, 255, 255)
#define ALICE_BLUE_COL ARGB(0xff, 240, 248, 255)
#define ALICEBLUE_COL ARGB(0xff, 240, 248, 255)
#define LAVENDER_COL ARGB(0xff, 230, 230, 250)
#define LAVENDER_BLUSH_COL ARGB(0xff, 255, 240, 245)
#define LAVENDERBLUSH_COL ARGB(0xff, 255, 240, 245)
#define MISTY_ROSE_COL ARGB(0xff, 255, 228, 225)
#define MISTYROSE_COL ARGB(0xff, 255, 228, 225)
#define WHITE_COL ARGB(0xff, 255, 255, 255)
#define BLACK_COL ARGB(0xff, 0, 0, 0)
#define DARK_SLATE_GRAY_COL ARGB(0xff, 47, 79, 79)
#define DARKSLATEGRAY_COL ARGB(0xff, 47, 79, 79)
#define DARK_SLATE_GREY_COL ARGB(0xff, 47, 79, 79)
#define DARKSLATEGREY_COL ARGB(0xff, 47, 79, 79)
#define DIM_GRAY_COL ARGB(0xff, 105, 105, 105)
#define DIMGRAY_COL ARGB(0xff, 105, 105, 105)
#define DIM_GREY_COL ARGB(0xff, 105, 105, 105)
#define DIMGREY_COL ARGB(0xff, 105, 105, 105)
#define SLATE_GRAY_COL ARGB(0xff, 112, 128, 144)
#define SLATEGRAY_COL ARGB(0xff, 112, 128, 144)
#define SLATE_GREY_COL ARGB(0xff, 112, 128, 144)
#define SLATEGREY_COL ARGB(0xff, 112, 128, 144)
#define LIGHT_SLATE_GRAY_COL ARGB(0xff, 119, 136, 153)
#define LIGHTSLATEGRAY_COL ARGB(0xff, 119, 136, 153)
#define LIGHT_SLATE_GREY_COL ARGB(0xff, 119, 136, 153)
#define LIGHTSLATEGREY_COL ARGB(0xff, 119, 136, 153)
#define GRAY_COL ARGB(0xff, 190, 190, 190)
#define GREY_COL ARGB(0xff, 190, 190, 190)
#define LIGHT_GREY_COL ARGB(0xff, 211, 211, 211)
#define LIGHTGREY_COL ARGB(0xff, 211, 211, 211)
#define LIGHT_GRAY_COL ARGB(0xff, 211, 211, 211)
#define LIGHTGRAY_COL ARGB(0xff, 211, 211, 211)
#define MIDNIGHT_BLUE_COL ARGB(0xff, 25, 25, 112)
#define MIDNIGHTBLUE_COL ARGB(0xff, 25, 25, 112)
#define NAVY_COL ARGB(0xff, 0, 0, 128)
#define NAVY_BLUE_COL ARGB(0xff, 0, 0, 128)
#define NAVYBLUE_COL ARGB(0xff, 0, 0, 128)
#define CORNFLOWER_BLUE_COL ARGB(0xff, 100, 149, 237)
#define CORNFLOWERBLUE_COL ARGB(0xff, 100, 149, 237)
#define DARK_SLATE_BLUE_COL ARGB(0xff, 72, 61, 139)
#define DARKSLATEBLUE_COL ARGB(0xff, 72, 61, 139)
#define SLATE_BLUE_COL ARGB(0xff, 106, 90, 205)
#define SLATEBLUE_COL ARGB(0xff, 106, 90, 205)
#define MEDIUM_SLATE_BLUE_COL ARGB(0xff, 123, 104, 238)
#define MEDIUMSLATEBLUE_COL ARGB(0xff, 123, 104, 238)
#define LIGHT_SLATE_BLUE_COL ARGB(0xff, 132, 112, 255)
#define LIGHTSLATEBLUE_COL ARGB(0xff, 132, 112, 255)
#define MEDIUM_BLUE_COL ARGB(0xff, 0, 0, 205)
#define MEDIUMBLUE_COL ARGB(0xff, 0, 0, 205)
#define ROYAL_BLUE_COL ARGB(0xff, 65, 105, 225)
#define ROYALBLUE_COL ARGB(0xff, 65, 105, 225)
#define BLUE_COL ARGB(0xff, 0, 0, 255)
#define DODGER_BLUE_COL ARGB(0xff, 30, 144, 255)
#define DODGERBLUE_COL ARGB(0xff, 30, 144, 255)
#define DEEP_SKY_BLUE_COL ARGB(0xff, 0, 191, 255)
#define DEEPSKYBLUE_COL ARGB(0xff, 0, 191, 255)
#define SKY_BLUE_COL ARGB(0xff, 135, 206, 235)
#define SKYBLUE_COL ARGB(0xff, 135, 206, 235)
#define LIGHT_SKY_BLUE_COL ARGB(0xff, 135, 206, 250)
#define LIGHTSKYBLUE_COL ARGB(0xff, 135, 206, 250)
#define STEEL_BLUE_COL ARGB(0xff, 70, 130, 180)
#define STEELBLUE_COL ARGB(0xff, 70, 130, 180)
#define LIGHT_STEEL_BLUE_COL ARGB(0xff, 176, 196, 222)
#define LIGHTSTEELBLUE_COL ARGB(0xff, 176, 196, 222)
#define LIGHT_BLUE_COL ARGB(0xff, 173, 216, 230)
#define LIGHTBLUE_COL ARGB(0xff, 173, 216, 230)
#define POWDER_BLUE_COL ARGB(0xff, 176, 224, 230)
#define POWDERBLUE_COL ARGB(0xff, 176, 224, 230)
#define PALE_TURQUOISE_COL ARGB(0xff, 175, 238, 238)
#define PALETURQUOISE_COL ARGB(0xff, 175, 238, 238)
#define DARK_TURQUOISE_COL ARGB(0xff, 0, 206, 209)
#define DARKTURQUOISE_COL ARGB(0xff, 0, 206, 209)
#define MEDIUM_TURQUOISE_COL ARGB(0xff, 72, 209, 204)
#define MEDIUMTURQUOISE_COL ARGB(0xff, 72, 209, 204)
#define TURQUOISE_COL ARGB(0xff, 64, 224, 208)
#define CYAN_COL ARGB(0xff, 0, 255, 255)
#define LIGHT_CYAN_COL ARGB(0xff, 224, 255, 255)
#define LIGHTCYAN_COL ARGB(0xff, 224, 255, 255)
#define CADET_BLUE_COL ARGB(0xff, 95, 158, 160)
#define CADETBLUE_COL ARGB(0xff, 95, 158, 160)
#define MEDIUM_AQUAMARINE_COL ARGB(0xff, 102, 205, 170)
#define MEDIUMAQUAMARINE_COL ARGB(0xff, 102, 205, 170)
#define AQUAMARINE_COL ARGB(0xff, 127, 255, 212)
#define DARK_GREEN_COL ARGB(0xff, 0, 100, 0)
#define DARKGREEN_COL ARGB(0xff, 0, 100, 0)
#define DARK_OLIVE_GREEN_COL ARGB(0xff, 85, 107, 47)
#define DARKOLIVEGREEN_COL ARGB(0xff, 85, 107, 47)
#define DARK_SEA_GREEN_COL ARGB(0xff, 143, 188, 143)
#define DARKSEAGREEN_COL ARGB(0xff, 143, 188, 143)
#define SEA_GREEN_COL ARGB(0xff, 46, 139, 87)
#define SEAGREEN_COL ARGB(0xff, 46, 139, 87)
#define MEDIUM_SEA_GREEN_COL ARGB(0xff, 60, 179, 113)
#define MEDIUMSEAGREEN_COL ARGB(0xff, 60, 179, 113)
#define LIGHT_SEA_GREEN_COL ARGB(0xff, 32, 178, 170)
#define LIGHTSEAGREEN_COL ARGB(0xff, 32, 178, 170)
#define PALE_GREEN_COL ARGB(0xff, 152, 251, 152)
#define PALEGREEN_COL ARGB(0xff, 152, 251, 152)
#define SPRING_GREEN_COL ARGB(0xff, 0, 255, 127)
#define SPRINGGREEN_COL ARGB(0xff, 0, 255, 127)
#define LAWN_GREEN_COL ARGB(0xff, 124, 252, 0)
#define LAWNGREEN_COL ARGB(0xff, 124, 252, 0)
#define GREEN_COL ARGB(0xff, 0, 255, 0)
#define CHARTREUSE_COL ARGB(0xff, 127, 255, 0)
#define MEDIUM_SPRING_GREEN_COL ARGB(0xff, 0, 250, 154)
#define MEDIUMSPRINGGREEN_COL ARGB(0xff, 0, 250, 154)
#define GREEN_YELLOW_COL ARGB(0xff, 173, 255, 47)
#define GREENYELLOW_COL ARGB(0xff, 173, 255, 47)
#define LIME_GREEN_COL ARGB(0xff, 50, 205, 50)
#define LIMEGREEN_COL ARGB(0xff, 50, 205, 50)
#define YELLOW_GREEN_COL ARGB(0xff, 154, 205, 50)
#define YELLOWGREEN_COL ARGB(0xff, 154, 205, 50)
#define FOREST_GREEN_COL ARGB(0xff, 34, 139, 34)
#define FORESTGREEN_COL ARGB(0xff, 34, 139, 34)
#define OLIVE_DRAB_COL ARGB(0xff, 107, 142, 35)
#define OLIVEDRAB_COL ARGB(0xff, 107, 142, 35)
#define DARK_KHAKI_COL ARGB(0xff, 189, 183, 107)
#define DARKKHAKI_COL ARGB(0xff, 189, 183, 107)
#define KHAKI_COL ARGB(0xff, 240, 230, 140)
#define PALE_GOLDENROD_COL ARGB(0xff, 238, 232, 170)
#define PALEGOLDENROD_COL ARGB(0xff, 238, 232, 170)
#define LIGHT_GOLDENROD_YELLOW_COL ARGB(0xff, 250, 250, 210)
#define LIGHTGOLDENRODYELLOW_COL ARGB(0xff, 250, 250, 210)
#define LIGHT_YELLOW_COL ARGB(0xff, 255, 255, 224)
#define LIGHTYELLOW_COL ARGB(0xff, 255, 255, 224)
#define YELLOW_COL ARGB(0xff, 255, 255, 0)
#define GOLD_COL ARGB(0xff, 255, 215, 0)
#define LIGHT_GOLDENROD_COL ARGB(0xff, 238, 221, 130)
#define LIGHTGOLDENROD_COL ARGB(0xff, 238, 221, 130)
#define GOLDENROD_COL ARGB(0xff, 218, 165, 32)
#define DARK_GOLDENROD_COL ARGB(0xff, 184, 134, 11)
#define DARKGOLDENROD_COL ARGB(0xff, 184, 134, 11)
#define ROSY_BROWN_COL ARGB(0xff, 188, 143, 143)
#define ROSYBROWN_COL ARGB(0xff, 188, 143, 143)
#define INDIAN_RED_COL ARGB(0xff, 205, 92, 92)
#define INDIANRED_COL ARGB(0xff, 205, 92, 92)
#define SADDLE_BROWN_COL ARGB(0xff, 139, 69, 19)
#define SADDLEBROWN_COL ARGB(0xff, 139, 69, 19)
#define SIENNA_COL ARGB(0xff, 160, 82, 45)
#define PERU_COL ARGB(0xff, 205, 133, 63)
#define BURLYWOOD_COL ARGB(0xff, 222, 184, 135)
#define BEIGE_COL ARGB(0xff, 245, 245, 220)
#define WHEAT_COL ARGB(0xff, 245, 222, 179)
#define SANDY_BROWN_COL ARGB(0xff, 244, 164, 96)
#define SANDYBROWN_COL ARGB(0xff, 244, 164, 96)
#define TAN_COL ARGB(0xff, 210, 180, 140)
#define CHOCOLATE_COL ARGB(0xff, 210, 105, 30)
#define FIREBRICK_COL ARGB(0xff, 178, 34, 34)
#define BROWN_COL ARGB(0xff, 165, 42, 42)
#define DARK_SALMON_COL ARGB(0xff, 233, 150, 122)
#define DARKSALMON_COL ARGB(0xff, 233, 150, 122)
#define SALMON_COL ARGB(0xff, 250, 128, 114)
#define LIGHT_SALMON_COL ARGB(0xff, 255, 160, 122)
#define LIGHTSALMON_COL ARGB(0xff, 255, 160, 122)
#define ORANGE_COL ARGB(0xff, 255, 165, 0)
#define DARK_ORANGE_COL ARGB(0xff, 255, 140, 0)
#define DARKORANGE_COL ARGB(0xff, 255, 140, 0)
#define CORAL_COL ARGB(0xff, 255, 127, 80)
#define LIGHT_CORAL_COL ARGB(0xff, 240, 128, 128)
#define LIGHTCORAL_COL ARGB(0xff, 240, 128, 128)
#define TOMATO_COL ARGB(0xff, 255, 99, 71)
#define ORANGE_RED_COL ARGB(0xff, 255, 69, 0)
#define ORANGERED_COL ARGB(0xff, 255, 69, 0)
#define RED_COL ARGB(0xff, 255, 0, 0)
#define HOT_PINK_COL ARGB(0xff, 255, 105, 180)
#define HOTPINK_COL ARGB(0xff, 255, 105, 180)
#define DEEP_PINK_COL ARGB(0xff, 255, 20, 147)
#define DEEPPINK_COL ARGB(0xff, 255, 20, 147)
#define PINK_COL ARGB(0xff, 255, 192, 203)
#define LIGHT_PINK_COL ARGB(0xff, 255, 182, 193)
#define LIGHTPINK_COL ARGB(0xff, 255, 182, 193)
#define PALE_VIOLET_RED_COL ARGB(0xff, 219, 112, 147)
#define PALEVIOLETRED_COL ARGB(0xff, 219, 112, 147)
#define MAROON_COL ARGB(0xff, 176, 48, 96)
#define MEDIUM_VIOLET_RED_COL ARGB(0xff, 199, 21, 133)
#define MEDIUMVIOLETRED_COL ARGB(0xff, 199, 21, 133)
#define VIOLET_RED_COL ARGB(0xff, 208, 32, 144)
#define VIOLETRED_COL ARGB(0xff, 208, 32, 144)
#define MAGENTA_COL ARGB(0xff, 255, 0, 255)
#define VIOLET_COL ARGB(0xff, 238, 130, 238)
#define PLUM_COL ARGB(0xff, 221, 160, 221)
#define ORCHID_COL ARGB(0xff, 218, 112, 214)
#define MEDIUM_ORCHID_COL ARGB(0xff, 186, 85, 211)
#define MEDIUMORCHID_COL ARGB(0xff, 186, 85, 211)
#define DARK_ORCHID_COL ARGB(0xff, 153, 50, 204)
#define DARKORCHID_COL ARGB(0xff, 153, 50, 204)
#define DARK_VIOLET_COL ARGB(0xff, 148, 0, 211)
#define DARKVIOLET_COL ARGB(0xff, 148, 0, 211)
#define BLUE_VIOLET_COL ARGB(0xff, 138, 43, 226)
#define BLUEVIOLET_COL ARGB(0xff, 138, 43, 226)
#define PURPLE_COL ARGB(0xff, 160, 32, 240)
#define MEDIUM_PURPLE_COL ARGB(0xff, 147, 112, 219)
#define MEDIUMPURPLE_COL ARGB(0xff, 147, 112, 219)
#define THISTLE_COL ARGB(0xff, 216, 191, 216)
#define SNOW1_COL ARGB(0xff, 255, 250, 250)
#define SNOW2_COL ARGB(0xff, 238, 233, 233)
#define SNOW3_COL ARGB(0xff, 205, 201, 201)
#define SNOW4_COL ARGB(0xff, 139, 137, 137)
#define SEASHELL1_COL ARGB(0xff, 255, 245, 238)
#define SEASHELL2_COL ARGB(0xff, 238, 229, 222)
#define SEASHELL3_COL ARGB(0xff, 205, 197, 191)
#define SEASHELL4_COL ARGB(0xff, 139, 134, 130)
#define ANTIQUEWHITE1_COL ARGB(0xff, 255, 239, 219)
#define ANTIQUEWHITE2_COL ARGB(0xff, 238, 223, 204)
#define ANTIQUEWHITE3_COL ARGB(0xff, 205, 192, 176)
#define ANTIQUEWHITE4_COL ARGB(0xff, 139, 131, 120)
#define BISQUE1_COL ARGB(0xff, 255, 228, 196)
#define BISQUE2_COL ARGB(0xff, 238, 213, 183)
#define BISQUE3_COL ARGB(0xff, 205, 183, 158)
#define BISQUE4_COL ARGB(0xff, 139, 125, 107)
#define PEACHPUFF1_COL ARGB(0xff, 255, 218, 185)
#define PEACHPUFF2_COL ARGB(0xff, 238, 203, 173)
#define PEACHPUFF3_COL ARGB(0xff, 205, 175, 149)
#define PEACHPUFF4_COL ARGB(0xff, 139, 119, 101)
#define NAVAJOWHITE1_COL ARGB(0xff, 255, 222, 173)
#define NAVAJOWHITE2_COL ARGB(0xff, 238, 207, 161)
#define NAVAJOWHITE3_COL ARGB(0xff, 205, 179, 139)
#define NAVAJOWHITE4_COL ARGB(0xff, 139, 121, 94)
#define LEMONCHIFFON1_COL ARGB(0xff, 255, 250, 205)
#define LEMONCHIFFON2_COL ARGB(0xff, 238, 233, 191)
#define LEMONCHIFFON3_COL ARGB(0xff, 205, 201, 165)
#define LEMONCHIFFON4_COL ARGB(0xff, 139, 137, 112)
#define CORNSILK1_COL ARGB(0xff, 255, 248, 220)
#define CORNSILK2_COL ARGB(0xff, 238, 232, 205)
#define CORNSILK3_COL ARGB(0xff, 205, 200, 177)
#define CORNSILK4_COL ARGB(0xff, 139, 136, 120)
#define IVORY1_COL ARGB(0xff, 255, 255, 240)
#define IVORY2_COL ARGB(0xff, 238, 238, 224)
#define IVORY3_COL ARGB(0xff, 205, 205, 193)
#define IVORY4_COL ARGB(0xff, 139, 139, 131)
#define HONEYDEW1_COL ARGB(0xff, 240, 255, 240)
#define HONEYDEW2_COL ARGB(0xff, 224, 238, 224)
#define HONEYDEW3_COL ARGB(0xff, 193, 205, 193)
#define HONEYDEW4_COL ARGB(0xff, 131, 139, 131)
#define LAVENDERBLUSH1_COL ARGB(0xff, 255, 240, 245)
#define LAVENDERBLUSH2_COL ARGB(0xff, 238, 224, 229)
#define LAVENDERBLUSH3_COL ARGB(0xff, 205, 193, 197)
#define LAVENDERBLUSH4_COL ARGB(0xff, 139, 131, 134)
#define MISTYROSE1_COL ARGB(0xff, 255, 228, 225)
#define MISTYROSE2_COL ARGB(0xff, 238, 213, 210)
#define MISTYROSE3_COL ARGB(0xff, 205, 183, 181)
#define MISTYROSE4_COL ARGB(0xff, 139, 125, 123)
#define AZURE1_COL ARGB(0xff, 240, 255, 255)
#define AZURE2_COL ARGB(0xff, 224, 238, 238)
#define AZURE3_COL ARGB(0xff, 193, 205, 205)
#define AZURE4_COL ARGB(0xff, 131, 139, 139)
#define SLATEBLUE1_COL ARGB(0xff, 131, 111, 255)
#define SLATEBLUE2_COL ARGB(0xff, 122, 103, 238)
#define SLATEBLUE3_COL ARGB(0xff, 105, 89, 205)
#define SLATEBLUE4_COL ARGB(0xff, 71, 60, 139)
#define ROYALBLUE1_COL ARGB(0xff, 72, 118, 255)
#define ROYALBLUE2_COL ARGB(0xff, 67, 110, 238)
#define ROYALBLUE3_COL ARGB(0xff, 58, 95, 205)
#define ROYALBLUE4_COL ARGB(0xff, 39, 64, 139)
#define BLUE1_COL ARGB(0xff, 0, 0, 255)
#define BLUE2_COL ARGB(0xff, 0, 0, 238)
#define BLUE3_COL ARGB(0xff, 0, 0, 205)
#define BLUE4_COL ARGB(0xff, 0, 0, 139)
#define DODGERBLUE1_COL ARGB(0xff, 30, 144, 255)
#define DODGERBLUE2_COL ARGB(0xff, 28, 134, 238)
#define DODGERBLUE3_COL ARGB(0xff, 24, 116, 205)
#define DODGERBLUE4_COL ARGB(0xff, 16, 78, 139)
#define STEELBLUE1_COL ARGB(0xff, 99, 184, 255)
#define STEELBLUE2_COL ARGB(0xff, 92, 172, 238)
#define STEELBLUE3_COL ARGB(0xff, 79, 148, 205)
#define STEELBLUE4_COL ARGB(0xff, 54, 100, 139)
#define DEEPSKYBLUE1_COL ARGB(0xff, 0, 191, 255)
#define DEEPSKYBLUE2_COL ARGB(0xff, 0, 178, 238)
#define DEEPSKYBLUE3_COL ARGB(0xff, 0, 154, 205)
#define DEEPSKYBLUE4_COL ARGB(0xff, 0, 104, 139)
#define SKYBLUE1_COL ARGB(0xff, 135, 206, 255)
#define SKYBLUE2_COL ARGB(0xff, 126, 192, 238)
#define SKYBLUE3_COL ARGB(0xff, 108, 166, 205)
#define SKYBLUE4_COL ARGB(0xff, 74, 112, 139)
#define LIGHTSKYBLUE1_COL ARGB(0xff, 176, 226, 255)
#define LIGHTSKYBLUE2_COL ARGB(0xff, 164, 211, 238)
#define LIGHTSKYBLUE3_COL ARGB(0xff, 141, 182, 205)
#define LIGHTSKYBLUE4_COL ARGB(0xff, 96, 123, 139)
#define SLATEGRAY1_COL ARGB(0xff, 198, 226, 255)
#define SLATEGRAY2_COL ARGB(0xff, 185, 211, 238)
#define SLATEGRAY3_COL ARGB(0xff, 159, 182, 205)
#define SLATEGRAY4_COL ARGB(0xff, 108, 123, 139)
#define LIGHTSTEELBLUE1_COL ARGB(0xff, 202, 225, 255)
#define LIGHTSTEELBLUE2_COL ARGB(0xff, 188, 210, 238)
#define LIGHTSTEELBLUE3_COL ARGB(0xff, 162, 181, 205)
#define LIGHTSTEELBLUE4_COL ARGB(0xff, 110, 123, 139)
#define LIGHTBLUE1_COL ARGB(0xff, 191, 239, 255)
#define LIGHTBLUE2_COL ARGB(0xff, 178, 223, 238)
#define LIGHTBLUE3_COL ARGB(0xff, 154, 192, 205)
#define LIGHTBLUE4_COL ARGB(0xff, 104, 131, 139)
#define LIGHTCYAN1_COL ARGB(0xff, 224, 255, 255)
#define LIGHTCYAN2_COL ARGB(0xff, 209, 238, 238)
#define LIGHTCYAN3_COL ARGB(0xff, 180, 205, 205)
#define LIGHTCYAN4_COL ARGB(0xff, 122, 139, 139)
#define PALETURQUOISE1_COL ARGB(0xff, 187, 255, 255)
#define PALETURQUOISE2_COL ARGB(0xff, 174, 238, 238)
#define PALETURQUOISE3_COL ARGB(0xff, 150, 205, 205)
#define PALETURQUOISE4_COL ARGB(0xff, 102, 139, 139)
#define CADETBLUE1_COL ARGB(0xff, 152, 245, 255)
#define CADETBLUE2_COL ARGB(0xff, 142, 229, 238)
#define CADETBLUE3_COL ARGB(0xff, 122, 197, 205)
#define CADETBLUE4_COL ARGB(0xff, 83, 134, 139)
#define TURQUOISE1_COL ARGB(0xff, 0, 245, 255)
#define TURQUOISE2_COL ARGB(0xff, 0, 229, 238)
#define TURQUOISE3_COL ARGB(0xff, 0, 197, 205)
#define TURQUOISE4_COL ARGB(0xff, 0, 134, 139)
#define CYAN1_COL ARGB(0xff, 0, 255, 255)
#define CYAN2_COL ARGB(0xff, 0, 238, 238)
#define CYAN3_COL ARGB(0xff, 0, 205, 205)
#define CYAN4_COL ARGB(0xff, 0, 139, 139)
#define DARKSLATEGRAY1_COL ARGB(0xff, 151, 255, 255)
#define DARKSLATEGRAY2_COL ARGB(0xff, 141, 238, 238)
#define DARKSLATEGRAY3_COL ARGB(0xff, 121, 205, 205)
#define DARKSLATEGRAY4_COL ARGB(0xff, 82, 139, 139)
#define AQUAMARINE1_COL ARGB(0xff, 127, 255, 212)
#define AQUAMARINE2_COL ARGB(0xff, 118, 238, 198)
#define AQUAMARINE3_COL ARGB(0xff, 102, 205, 170)
#define AQUAMARINE4_COL ARGB(0xff, 69, 139, 116)
#define DARKSEAGREEN1_COL ARGB(0xff, 193, 255, 193)
#define DARKSEAGREEN2_COL ARGB(0xff, 180, 238, 180)
#define DARKSEAGREEN3_COL ARGB(0xff, 155, 205, 155)
#define DARKSEAGREEN4_COL ARGB(0xff, 105, 139, 105)
#define SEAGREEN1_COL ARGB(0xff, 84, 255, 159)
#define SEAGREEN2_COL ARGB(0xff, 78, 238, 148)
#define SEAGREEN3_COL ARGB(0xff, 67, 205, 128)
#define SEAGREEN4_COL ARGB(0xff, 46, 139, 87)
#define PALEGREEN1_COL ARGB(0xff, 154, 255, 154)
#define PALEGREEN2_COL ARGB(0xff, 144, 238, 144)
#define PALEGREEN3_COL ARGB(0xff, 124, 205, 124)
#define PALEGREEN4_COL ARGB(0xff, 84, 139, 84)
#define SPRINGGREEN1_COL ARGB(0xff, 0, 255, 127)
#define SPRINGGREEN2_COL ARGB(0xff, 0, 238, 118)
#define SPRINGGREEN3_COL ARGB(0xff, 0, 205, 102)
#define SPRINGGREEN4_COL ARGB(0xff, 0, 139, 69)
#define GREEN1_COL ARGB(0xff, 0, 255, 0)
#define GREEN2_COL ARGB(0xff, 0, 238, 0)
#define GREEN3_COL ARGB(0xff, 0, 205, 0)
#define GREEN4_COL ARGB(0xff, 0, 139, 0)
#define CHARTREUSE1_COL ARGB(0xff, 127, 255, 0)
#define CHARTREUSE2_COL ARGB(0xff, 118, 238, 0)
#define CHARTREUSE3_COL ARGB(0xff, 102, 205, 0)
#define CHARTREUSE4_COL ARGB(0xff, 69, 139, 0)
#define OLIVEDRAB1_COL ARGB(0xff, 192, 255, 62)
#define OLIVEDRAB2_COL ARGB(0xff, 179, 238, 58)
#define OLIVEDRAB3_COL ARGB(0xff, 154, 205, 50)
#define OLIVEDRAB4_COL ARGB(0xff, 105, 139, 34)
#define DARKOLIVEGREEN1_COL ARGB(0xff, 202, 255, 112)
#define DARKOLIVEGREEN2_COL ARGB(0xff, 188, 238, 104)
#define DARKOLIVEGREEN3_COL ARGB(0xff, 162, 205, 90)
#define DARKOLIVEGREEN4_COL ARGB(0xff, 110, 139, 61)
#define KHAKI1_COL ARGB(0xff, 255, 246, 143)
#define KHAKI2_COL ARGB(0xff, 238, 230, 133)
#define KHAKI3_COL ARGB(0xff, 205, 198, 115)
#define KHAKI4_COL ARGB(0xff, 139, 134, 78)
#define LIGHTGOLDENROD1_COL ARGB(0xff, 255, 236, 139)
#define LIGHTGOLDENROD2_COL ARGB(0xff, 238, 220, 130)
#define LIGHTGOLDENROD3_COL ARGB(0xff, 205, 190, 112)
#define LIGHTGOLDENROD4_COL ARGB(0xff, 139, 129, 76)
#define LIGHTYELLOW1_COL ARGB(0xff, 255, 255, 224)
#define LIGHTYELLOW2_COL ARGB(0xff, 238, 238, 209)
#define LIGHTYELLOW3_COL ARGB(0xff, 205, 205, 180)
#define LIGHTYELLOW4_COL ARGB(0xff, 139, 139, 122)
#define YELLOW1_COL ARGB(0xff, 255, 255, 0)
#define YELLOW2_COL ARGB(0xff, 238, 238, 0)
#define YELLOW3_COL ARGB(0xff, 205, 205, 0)
#define YELLOW4_COL ARGB(0xff, 139, 139, 0)
#define GOLD1_COL ARGB(0xff, 255, 215, 0)
#define GOLD2_COL ARGB(0xff, 238, 201, 0)
#define GOLD3_COL ARGB(0xff, 205, 173, 0)
#define GOLD4_COL ARGB(0xff, 139, 117, 0)
#define GOLDENROD1_COL ARGB(0xff, 255, 193, 37)
#define GOLDENROD2_COL ARGB(0xff, 238, 180, 34)
#define GOLDENROD3_COL ARGB(0xff, 205, 155, 29)
#define GOLDENROD4_COL ARGB(0xff, 139, 105, 20)
#define DARKGOLDENROD1_COL ARGB(0xff, 255, 185, 15)
#define DARKGOLDENROD2_COL ARGB(0xff, 238, 173, 14)
#define DARKGOLDENROD3_COL ARGB(0xff, 205, 149, 12)
#define DARKGOLDENROD4_COL ARGB(0xff, 139, 101, 8)
#define ROSYBROWN1_COL ARGB(0xff, 255, 193, 193)
#define ROSYBROWN2_COL ARGB(0xff, 238, 180, 180)
#define ROSYBROWN3_COL ARGB(0xff, 205, 155, 155)
#define ROSYBROWN4_COL ARGB(0xff, 139, 105, 105)
#define INDIANRED1_COL ARGB(0xff, 255, 106, 106)
#define INDIANRED2_COL ARGB(0xff, 238, 99, 99)
#define INDIANRED3_COL ARGB(0xff, 205, 85, 85)
#define INDIANRED4_COL ARGB(0xff, 139, 58, 58)
#define SIENNA1_COL ARGB(0xff, 255, 130, 71)
#define SIENNA2_COL ARGB(0xff, 238, 121, 66)
#define SIENNA3_COL ARGB(0xff, 205, 104, 57)
#define SIENNA4_COL ARGB(0xff, 139, 71, 38)
#define BURLYWOOD1_COL ARGB(0xff, 255, 211, 155)
#define BURLYWOOD2_COL ARGB(0xff, 238, 197, 145)
#define BURLYWOOD3_COL ARGB(0xff, 205, 170, 125)
#define BURLYWOOD4_COL ARGB(0xff, 139, 115, 85)
#define WHEAT1_COL ARGB(0xff, 255, 231, 186)
#define WHEAT2_COL ARGB(0xff, 238, 216, 174)
#define WHEAT3_COL ARGB(0xff, 205, 186, 150)
#define WHEAT4_COL ARGB(0xff, 139, 126, 102)
#define TAN1_COL ARGB(0xff, 255, 165, 79)
#define TAN2_COL ARGB(0xff, 238, 154, 73)
#define TAN3_COL ARGB(0xff, 205, 133, 63)
#define TAN4_COL ARGB(0xff, 139, 90, 43)
#define CHOCOLATE1_COL ARGB(0xff, 255, 127, 36)
#define CHOCOLATE2_COL ARGB(0xff, 238, 118, 33)
#define CHOCOLATE3_COL ARGB(0xff, 205, 102, 29)
#define CHOCOLATE4_COL ARGB(0xff, 139, 69, 19)
#define FIREBRICK1_COL ARGB(0xff, 255, 48, 48)
#define FIREBRICK2_COL ARGB(0xff, 238, 44, 44)
#define FIREBRICK3_COL ARGB(0xff, 205, 38, 38)
#define FIREBRICK4_COL ARGB(0xff, 139, 26, 26)
#define BROWN1_COL ARGB(0xff, 255, 64, 64)
#define BROWN2_COL ARGB(0xff, 238, 59, 59)
#define BROWN3_COL ARGB(0xff, 205, 51, 51)
#define BROWN4_COL ARGB(0xff, 139, 35, 35)
#define SALMON1_COL ARGB(0xff, 255, 140, 105)
#define SALMON2_COL ARGB(0xff, 238, 130, 98)
#define SALMON3_COL ARGB(0xff, 205, 112, 84)
#define SALMON4_COL ARGB(0xff, 139, 76, 57)
#define LIGHTSALMON1_COL ARGB(0xff, 255, 160, 122)
#define LIGHTSALMON2_COL ARGB(0xff, 238, 149, 114)
#define LIGHTSALMON3_COL ARGB(0xff, 205, 129, 98)
#define LIGHTSALMON4_COL ARGB(0xff, 139, 87, 66)
#define ORANGE1_COL ARGB(0xff, 255, 165, 0)
#define ORANGE2_COL ARGB(0xff, 238, 154, 0)
#define ORANGE3_COL ARGB(0xff, 205, 133, 0)
#define ORANGE4_COL ARGB(0xff, 139, 90, 0)
#define DARKORANGE1_COL ARGB(0xff, 255, 127, 0)
#define DARKORANGE2_COL ARGB(0xff, 238, 118, 0)
#define DARKORANGE3_COL ARGB(0xff, 205, 102, 0)
#define DARKORANGE4_COL ARGB(0xff, 139, 69, 0)
#define CORAL1_COL ARGB(0xff, 255, 114, 86)
#define CORAL2_COL ARGB(0xff, 238, 106, 80)
#define CORAL3_COL ARGB(0xff, 205, 91, 69)
#define CORAL4_COL ARGB(0xff, 139, 62, 47)
#define TOMATO1_COL ARGB(0xff, 255, 99, 71)
#define TOMATO2_COL ARGB(0xff, 238, 92, 66)
#define TOMATO3_COL ARGB(0xff, 205, 79, 57)
#define TOMATO4_COL ARGB(0xff, 139, 54, 38)
#define ORANGERED1_COL ARGB(0xff, 255, 69, 0)
#define ORANGERED2_COL ARGB(0xff, 238, 64, 0)
#define ORANGERED3_COL ARGB(0xff, 205, 55, 0)
#define ORANGERED4_COL ARGB(0xff, 139, 37, 0)
#define RED1_COL ARGB(0xff, 255, 0, 0)
#define RED2_COL ARGB(0xff, 238, 0, 0)
#define RED3_COL ARGB(0xff, 205, 0, 0)
#define RED4_COL ARGB(0xff, 139, 0, 0)
#define DEEPPINK1_COL ARGB(0xff, 255, 20, 147)
#define DEEPPINK2_COL ARGB(0xff, 238, 18, 137)
#define DEEPPINK3_COL ARGB(0xff, 205, 16, 118)
#define DEEPPINK4_COL ARGB(0xff, 139, 10, 80)
#define HOTPINK1_COL ARGB(0xff, 255, 110, 180)
#define HOTPINK2_COL ARGB(0xff, 238, 106, 167)
#define HOTPINK3_COL ARGB(0xff, 205, 96, 144)
#define HOTPINK4_COL ARGB(0xff, 139, 58, 98)
#define PINK1_COL ARGB(0xff, 255, 181, 197)
#define PINK2_COL ARGB(0xff, 238, 169, 184)
#define PINK3_COL ARGB(0xff, 205, 145, 158)
#define PINK4_COL ARGB(0xff, 139, 99, 108)
#define LIGHTPINK1_COL ARGB(0xff, 255, 174, 185)
#define LIGHTPINK2_COL ARGB(0xff, 238, 162, 173)
#define LIGHTPINK3_COL ARGB(0xff, 205, 140, 149)
#define LIGHTPINK4_COL ARGB(0xff, 139, 95, 101)
#define PALEVIOLETRED1_COL ARGB(0xff, 255, 130, 171)
#define PALEVIOLETRED2_COL ARGB(0xff, 238, 121, 159)
#define PALEVIOLETRED3_COL ARGB(0xff, 205, 104, 137)
#define PALEVIOLETRED4_COL ARGB(0xff, 139, 71, 93)
#define MAROON1_COL ARGB(0xff, 255, 52, 179)
#define MAROON2_COL ARGB(0xff, 238, 48, 167)
#define MAROON3_COL ARGB(0xff, 205, 41, 144)
#define MAROON4_COL ARGB(0xff, 139, 28, 98)
#define VIOLETRED1_COL ARGB(0xff, 255, 62, 150)
#define VIOLETRED2_COL ARGB(0xff, 238, 58, 140)
#define VIOLETRED3_COL ARGB(0xff, 205, 50, 120)
#define VIOLETRED4_COL ARGB(0xff, 139, 34, 82)
#define MAGENTA1_COL ARGB(0xff, 255, 0, 255)
#define MAGENTA2_COL ARGB(0xff, 238, 0, 238)
#define MAGENTA3_COL ARGB(0xff, 205, 0, 205)
#define MAGENTA4_COL ARGB(0xff, 139, 0, 139)
#define ORCHID1_COL ARGB(0xff, 255, 131, 250)
#define ORCHID2_COL ARGB(0xff, 238, 122, 233)
#define ORCHID3_COL ARGB(0xff, 205, 105, 201)
#define ORCHID4_COL ARGB(0xff, 139, 71, 137)
#define PLUM1_COL ARGB(0xff, 255, 187, 255)
#define PLUM2_COL ARGB(0xff, 238, 174, 238)
#define PLUM3_COL ARGB(0xff, 205, 150, 205)
#define PLUM4_COL ARGB(0xff, 139, 102, 139)
#define MEDIUMORCHID1_COL ARGB(0xff, 224, 102, 255)
#define MEDIUMORCHID2_COL ARGB(0xff, 209, 95, 238)
#define MEDIUMORCHID3_COL ARGB(0xff, 180, 82, 205)
#define MEDIUMORCHID4_COL ARGB(0xff, 122, 55, 139)
#define DARKORCHID1_COL ARGB(0xff, 191, 62, 255)
#define DARKORCHID2_COL ARGB(0xff, 178, 58, 238)
#define DARKORCHID3_COL ARGB(0xff, 154, 50, 205)
#define DARKORCHID4_COL ARGB(0xff, 104, 34, 139)
#define PURPLE1_COL ARGB(0xff, 155, 48, 255)
#define PURPLE2_COL ARGB(0xff, 145, 44, 238)
#define PURPLE3_COL ARGB(0xff, 125, 38, 205)
#define PURPLE4_COL ARGB(0xff, 85, 26, 139)
#define MEDIUMPURPLE1_COL ARGB(0xff, 171, 130, 255)
#define MEDIUMPURPLE2_COL ARGB(0xff, 159, 121, 238)
#define MEDIUMPURPLE3_COL ARGB(0xff, 137, 104, 205)
#define MEDIUMPURPLE4_COL ARGB(0xff, 93, 71, 139)
#define THISTLE1_COL ARGB(0xff, 255, 225, 255)
#define THISTLE2_COL ARGB(0xff, 238, 210, 238)
#define THISTLE3_COL ARGB(0xff, 205, 181, 205)
#define THISTLE4_COL ARGB(0xff, 139, 123, 139)
#define GRAY0_COL ARGB(0xff, 0, 0, 0)
#define GREY0_COL ARGB(0xff, 0, 0, 0)
#define GRAY1_COL ARGB(0xff, 3, 3, 3)
#define GREY1_COL ARGB(0xff, 3, 3, 3)
#define GRAY2_COL ARGB(0xff, 5, 5, 5)
#define GREY2_COL ARGB(0xff, 5, 5, 5)
#define GRAY3_COL ARGB(0xff, 8, 8, 8)
#define GREY3_COL ARGB(0xff, 8, 8, 8)
#define GRAY4_COL ARGB(0xff, 10, 10, 10)
#define GREY4_COL ARGB(0xff, 10, 10, 10)
#define GRAY5_COL ARGB(0xff, 13, 13, 13)
#define GREY5_COL ARGB(0xff, 13, 13, 13)
#define GRAY6_COL ARGB(0xff, 15, 15, 15)
#define GREY6_COL ARGB(0xff, 15, 15, 15)
#define GRAY7_COL ARGB(0xff, 18, 18, 18)
#define GREY7_COL ARGB(0xff, 18, 18, 18)
#define GRAY8_COL ARGB(0xff, 20, 20, 20)
#define GREY8_COL ARGB(0xff, 20, 20, 20)
#define GRAY9_COL ARGB(0xff, 23, 23, 23)
#define GREY9_COL ARGB(0xff, 23, 23, 23)
#define GRAY10_COL ARGB(0xff, 26, 26, 26)
#define GREY10_COL ARGB(0xff, 26, 26, 26)
#define GRAY11_COL ARGB(0xff, 28, 28, 28)
#define GREY11_COL ARGB(0xff, 28, 28, 28)
#define GRAY12_COL ARGB(0xff, 31, 31, 31)
#define GREY12_COL ARGB(0xff, 31, 31, 31)
#define GRAY13_COL ARGB(0xff, 33, 33, 33)
#define GREY13_COL ARGB(0xff, 33, 33, 33)
#define GRAY14_COL ARGB(0xff, 36, 36, 36)
#define GREY14_COL ARGB(0xff, 36, 36, 36)
#define GRAY15_COL ARGB(0xff, 38, 38, 38)
#define GREY15_COL ARGB(0xff, 38, 38, 38)
#define GRAY16_COL ARGB(0xff, 41, 41, 41)
#define GREY16_COL ARGB(0xff, 41, 41, 41)
#define GRAY17_COL ARGB(0xff, 43, 43, 43)
#define GREY17_COL ARGB(0xff, 43, 43, 43)
#define GRAY18_COL ARGB(0xff, 46, 46, 46)
#define GREY18_COL ARGB(0xff, 46, 46, 46)
#define GRAY19_COL ARGB(0xff, 48, 48, 48)
#define GREY19_COL ARGB(0xff, 48, 48, 48)
#define GRAY20_COL ARGB(0xff, 51, 51, 51)
#define GREY20_COL ARGB(0xff, 51, 51, 51)
#define GRAY21_COL ARGB(0xff, 54, 54, 54)
#define GREY21_COL ARGB(0xff, 54, 54, 54)
#define GRAY22_COL ARGB(0xff, 56, 56, 56)
#define GREY22_COL ARGB(0xff, 56, 56, 56)
#define GRAY23_COL ARGB(0xff, 59, 59, 59)
#define GREY23_COL ARGB(0xff, 59, 59, 59)
#define GRAY24_COL ARGB(0xff, 61, 61, 61)
#define GREY24_COL ARGB(0xff, 61, 61, 61)
#define GRAY25_COL ARGB(0xff, 64, 64, 64)
#define GREY25_COL ARGB(0xff, 64, 64, 64)
#define GRAY26_COL ARGB(0xff, 66, 66, 66)
#define GREY26_COL ARGB(0xff, 66, 66, 66)
#define GRAY27_COL ARGB(0xff, 69, 69, 69)
#define GREY27_COL ARGB(0xff, 69, 69, 69)
#define GRAY28_COL ARGB(0xff, 71, 71, 71)
#define GREY28_COL ARGB(0xff, 71, 71, 71)
#define GRAY29_COL ARGB(0xff, 74, 74, 74)
#define GREY29_COL ARGB(0xff, 74, 74, 74)
#define GRAY30_COL ARGB(0xff, 77, 77, 77)
#define GREY30_COL ARGB(0xff, 77, 77, 77)
#define GRAY31_COL ARGB(0xff, 79, 79, 79)
#define GREY31_COL ARGB(0xff, 79, 79, 79)
#define GRAY32_COL ARGB(0xff, 82, 82, 82)
#define GREY32_COL ARGB(0xff, 82, 82, 82)
#define GRAY33_COL ARGB(0xff, 84, 84, 84)
#define GREY33_COL ARGB(0xff, 84, 84, 84)
#define GRAY34_COL ARGB(0xff, 87, 87, 87)
#define GREY34_COL ARGB(0xff, 87, 87, 87)
#define GRAY35_COL ARGB(0xff, 89, 89, 89)
#define GREY35_COL ARGB(0xff, 89, 89, 89)
#define GRAY36_COL ARGB(0xff, 92, 92, 92)
#define GREY36_COL ARGB(0xff, 92, 92, 92)
#define GRAY37_COL ARGB(0xff, 94, 94, 94)
#define GREY37_COL ARGB(0xff, 94, 94, 94)
#define GRAY38_COL ARGB(0xff, 97, 97, 97)
#define GREY38_COL ARGB(0xff, 97, 97, 97)
#define GRAY39_COL ARGB(0xff, 99, 99, 99)
#define GREY39_COL ARGB(0xff, 99, 99, 99)
#define GRAY40_COL ARGB(0xff, 102, 102, 102)
#define GREY40_COL ARGB(0xff, 102, 102, 102)
#define GRAY41_COL ARGB(0xff, 105, 105, 105)
#define GREY41_COL ARGB(0xff, 105, 105, 105)
#define GRAY42_COL ARGB(0xff, 107, 107, 107)
#define GREY42_COL ARGB(0xff, 107, 107, 107)
#define GRAY43_COL ARGB(0xff, 110, 110, 110)
#define GREY43_COL ARGB(0xff, 110, 110, 110)
#define GRAY44_COL ARGB(0xff, 112, 112, 112)
#define GREY44_COL ARGB(0xff, 112, 112, 112)
#define GRAY45_COL ARGB(0xff, 115, 115, 115)
#define GREY45_COL ARGB(0xff, 115, 115, 115)
#define GRAY46_COL ARGB(0xff, 117, 117, 117)
#define GREY46_COL ARGB(0xff, 117, 117, 117)
#define GRAY47_COL ARGB(0xff, 120, 120, 120)
#define GREY47_COL ARGB(0xff, 120, 120, 120)
#define GRAY48_COL ARGB(0xff, 122, 122, 122)
#define GREY48_COL ARGB(0xff, 122, 122, 122)
#define GRAY49_COL ARGB(0xff, 125, 125, 125)
#define GREY49_COL ARGB(0xff, 125, 125, 125)
#define GRAY50_COL ARGB(0xff, 127, 127, 127)
#define GREY50_COL ARGB(0xff, 127, 127, 127)
#define GRAY51_COL ARGB(0xff, 130, 130, 130)
#define GREY51_COL ARGB(0xff, 130, 130, 130)
#define GRAY52_COL ARGB(0xff, 133, 133, 133)
#define GREY52_COL ARGB(0xff, 133, 133, 133)
#define GRAY53_COL ARGB(0xff, 135, 135, 135)
#define GREY53_COL ARGB(0xff, 135, 135, 135)
#define GRAY54_COL ARGB(0xff, 138, 138, 138)
#define GREY54_COL ARGB(0xff, 138, 138, 138)
#define GRAY55_COL ARGB(0xff, 140, 140, 140)
#define GREY55_COL ARGB(0xff, 140, 140, 140)
#define GRAY56_COL ARGB(0xff, 143, 143, 143)
#define GREY56_COL ARGB(0xff, 143, 143, 143)
#define GRAY57_COL ARGB(0xff, 145, 145, 145)
#define GREY57_COL ARGB(0xff, 145, 145, 145)
#define GRAY58_COL ARGB(0xff, 148, 148, 148)
#define GREY58_COL ARGB(0xff, 148, 148, 148)
#define GRAY59_COL ARGB(0xff, 150, 150, 150)
#define GREY59_COL ARGB(0xff, 150, 150, 150)
#define GRAY60_COL ARGB(0xff, 153, 153, 153)
#define GREY60_COL ARGB(0xff, 153, 153, 153)
#define GRAY61_COL ARGB(0xff, 156, 156, 156)
#define GREY61_COL ARGB(0xff, 156, 156, 156)
#define GRAY62_COL ARGB(0xff, 158, 158, 158)
#define GREY62_COL ARGB(0xff, 158, 158, 158)
#define GRAY63_COL ARGB(0xff, 161, 161, 161)
#define GREY63_COL ARGB(0xff, 161, 161, 161)
#define GRAY64_COL ARGB(0xff, 163, 163, 163)
#define GREY64_COL ARGB(0xff, 163, 163, 163)
#define GRAY65_COL ARGB(0xff, 166, 166, 166)
#define GREY65_COL ARGB(0xff, 166, 166, 166)
#define GRAY66_COL ARGB(0xff, 168, 168, 168)
#define GREY66_COL ARGB(0xff, 168, 168, 168)
#define GRAY67_COL ARGB(0xff, 171, 171, 171)
#define GREY67_COL ARGB(0xff, 171, 171, 171)
#define GRAY68_COL ARGB(0xff, 173, 173, 173)
#define GREY68_COL ARGB(0xff, 173, 173, 173)
#define GRAY69_COL ARGB(0xff, 176, 176, 176)
#define GREY69_COL ARGB(0xff, 176, 176, 176)
#define GRAY70_COL ARGB(0xff, 179, 179, 179)
#define GREY70_COL ARGB(0xff, 179, 179, 179)
#define GRAY71_COL ARGB(0xff, 181, 181, 181)
#define GREY71_COL ARGB(0xff, 181, 181, 181)
#define GRAY72_COL ARGB(0xff, 184, 184, 184)
#define GREY72_COL ARGB(0xff, 184, 184, 184)
#define GRAY73_COL ARGB(0xff, 186, 186, 186)
#define GREY73_COL ARGB(0xff, 186, 186, 186)
#define GRAY74_COL ARGB(0xff, 189, 189, 189)
#define GREY74_COL ARGB(0xff, 189, 189, 189)
#define GRAY75_COL ARGB(0xff, 191, 191, 191)
#define GREY75_COL ARGB(0xff, 191, 191, 191)
#define GRAY76_COL ARGB(0xff, 194, 194, 194)
#define GREY76_COL ARGB(0xff, 194, 194, 194)
#define GRAY77_COL ARGB(0xff, 196, 196, 196)
#define GREY77_COL ARGB(0xff, 196, 196, 196)
#define GRAY78_COL ARGB(0xff, 199, 199, 199)
#define GREY78_COL ARGB(0xff, 199, 199, 199)
#define GRAY79_COL ARGB(0xff, 201, 201, 201)
#define GREY79_COL ARGB(0xff, 201, 201, 201)
#define GRAY80_COL ARGB(0xff, 204, 204, 204)
#define GREY80_COL ARGB(0xff, 204, 204, 204)
#define GRAY81_COL ARGB(0xff, 207, 207, 207)
#define GREY81_COL ARGB(0xff, 207, 207, 207)
#define GRAY82_COL ARGB(0xff, 209, 209, 209)
#define GREY82_COL ARGB(0xff, 209, 209, 209)
#define GRAY83_COL ARGB(0xff, 212, 212, 212)
#define GREY83_COL ARGB(0xff, 212, 212, 212)
#define GRAY84_COL ARGB(0xff, 214, 214, 214)
#define GREY84_COL ARGB(0xff, 214, 214, 214)
#define GRAY85_COL ARGB(0xff, 217, 217, 217)
#define GREY85_COL ARGB(0xff, 217, 217, 217)
#define GRAY86_COL ARGB(0xff, 219, 219, 219)
#define GREY86_COL ARGB(0xff, 219, 219, 219)
#define GRAY87_COL ARGB(0xff, 222, 222, 222)
#define GREY87_COL ARGB(0xff, 222, 222, 222)
#define GRAY88_COL ARGB(0xff, 224, 224, 224)
#define GREY88_COL ARGB(0xff, 224, 224, 224)
#define GRAY89_COL ARGB(0xff, 227, 227, 227)
#define GREY89_COL ARGB(0xff, 227, 227, 227)
#define GRAY90_COL ARGB(0xff, 229, 229, 229)
#define GREY90_COL ARGB(0xff, 229, 229, 229)
#define GRAY91_COL ARGB(0xff, 232, 232, 232)
#define GREY91_COL ARGB(0xff, 232, 232, 232)
#define GRAY92_COL ARGB(0xff, 235, 235, 235)
#define GREY92_COL ARGB(0xff, 235, 235, 235)
#define GRAY93_COL ARGB(0xff, 237, 237, 237)
#define GREY93_COL ARGB(0xff, 237, 237, 237)
#define GRAY94_COL ARGB(0xff, 240, 240, 240)
#define GREY94_COL ARGB(0xff, 240, 240, 240)
#define GRAY95_COL ARGB(0xff, 242, 242, 242)
#define GREY95_COL ARGB(0xff, 242, 242, 242)
#define GRAY96_COL ARGB(0xff, 245, 245, 245)
#define GREY96_COL ARGB(0xff, 245, 245, 245)
#define GRAY97_COL ARGB(0xff, 247, 247, 247)
#define GREY97_COL ARGB(0xff, 247, 247, 247)
#define GRAY98_COL ARGB(0xff, 250, 250, 250)
#define GREY98_COL ARGB(0xff, 250, 250, 250)
#define GRAY99_COL ARGB(0xff, 252, 252, 252)
#define GREY99_COL ARGB(0xff, 252, 252, 252)
#define GRAY100_COL ARGB(0xff, 255, 255, 255)
#define GREY100_COL ARGB(0xff, 255, 255, 255)

#endif /* __XRGB_H__ */
