/*============================================================
 * Name  : htwinitembox.c
 *
 * Desc  : ItemBoxNX
 *
 * prefix:
 *
 * $Id: htwinitembox.c,v 1.1 1998/04/21 03:07:07 horita Exp horita $
 *
 * $Log: htwinitembox.c,v $
 * Revision 1.1  1998/04/21 03:07:07  horita
 * Initial revision
 *
 *============================================================*/

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include <shinobi.h>

#include "htwindow.h"
#include "htwinitem.h"
#include "htwinitembox.h"

/*============================================================
  Define
  ============================================================*/

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/

/*============================================================
  Globals
  ============================================================*/

/*============================================================
  Static
  ============================================================*/

/*============================================================
  Local Prototypes
  ============================================================*/



/*============================================================
 Name:
 Desc:
 Kind: Global
 User: Eiji Horita horita@cs1.sega.co.jp
 Date: 1998/04/21 (Tuesday)
 Misc:
 ------------------------------------------------------------
 in  :
 out :
 ============================================================*/
void HTtDrawItemBox(LPHTtItemBox lp_args)
{
	int i;
	static HTtItem tmp_item;
	LPHTtItem lp_item = lp_args->lp_item;
	Float z = 0.F;

	if (lp_args->method != NULL) {
		lp_args->method(lp_args);
	}
	lp_item = lp_args->lp_item;
	for (i = 0 ; i < lp_args->nItem ; i++) {
		tmp_item = *lp_item;
		tmp_item.lefttop.x += lp_args->lefttop.x;
		tmp_item.lefttop.y += lp_args->lefttop.y;
		HTtDrawItemZ(&tmp_item, z);
		lp_item++;
		z += 0.1F;
	}
}
