/*
** sbinit.c Ver.0.32  1998/5/12
** Copyright (C) 1998 SEGA Enterprises Co.,Ltd
** All Rights Reserved
*/

#include <shinobi.h>      /* Ewb_t@C                         */
#include <sg_syhw.h>      /* n[hEFACu             */


/* [NRAM̐擪/IAhX                                       */
#define WORK_TOP 0x8c000000
#define WORK_END 0x8d000000

#define P1AREA   0x80000000

extern Uint8* _BSG_END;   /* BSG/BSG32ZNV̏IAhX        */


/* ̋Lq́ACugp҂̃VXeɍ킹                 */
/* ύX邱Ƃł܂B                                           */
/* ύX̍ۂ͊֘AhLgQƂAeڂK؂ɏCĂ */

/***** GDt@CVXegǂ *******************************/
#define USE_GDFS 1        /* 0...gȂ                             */
                          /* 1...g(DEFALUT)                        */

/***** BZNV̏Iq[v̐擪Ƃ邩 **********************/
#define USE_B_END 1       /* 0...Ȃ                               */
                          /* 1...(DEFALUT)                        */
/* BZNV̏Iq[v̐擪ƂȂꍇA                    */
/* HEAP_SIZE Ƀq[veʂ`ĂB                         */


/* GD:ɊJƂ̂łőt@C */
#define FILES 8

/* GD:JgfBNgobt@ */
#define BUFFERS 1024

/* syMalloc()Ŋmۂł鍇ve(4MB)                              */
/* (BZNV̏Iq[v̐擪ƂȂꍇ̂ݗL)            */
#if !USE_B_END
#define HEAP_SIZE 0x00400000
#endif









/* O[o[N̐錾 */

Uint8 gMapleRecvBuf[1024 * 24 * 2 + 32];
Uint8 gMapleSendBuf[1024 * 24 * 2 + 32];

#if USE_GDFS
Uint8 gdfswork[GDFS_WORK_SIZE(FILES) + 32];
Uint8 gdfscurdir[GDFS_DIRREC_SIZE(BUFFERS) + 32];
#endif

/* syMalloc()̊Ǘɒuq[v̐擪AhX */
#if USE_B_END
#define HEAP_AREA ((void*)((((Uint32)_BSG_END | P1AREA) & 0xffffffe0) + 0x20))
#define HEAP_SIZE (WORK_END - (Uint32)HEAP_AREA)
#else
#define HEAP_AREA ((void*)((Uint32)WORK_END - (Uint32)HEAP_SIZE))
#endif

/*
** AvP[V̏֐
** njInitSystem()݊
*/
void sbInitSystem(Int mode, Int frame, Int count)
{
	/* WIȏs܂B                             */
	/* ̐ݒŁÃAvP[Vő̃ptH[}X */
	/* 邱Ƃł܂B                                       */
	/* ɗR̂ȂA̋LqCȂłB     */
	/* Cꍇ́AeCu̎dl\A       */
	/* Cugp҂̐ӔCɂďCĂB           */

	/* 荞݋֎~ */
	set_imask(15);

	/* n[hEFȀ */
	syHwInit();

	/* Ǘ̏ */
	syMallocInit(HEAP_AREA, HEAP_SIZE);


	/* Ninja/Kamuȉ */
	njInitSystem(mode, frame, count);

	/* n[hEFȀ̂Q */
	syHwInit2();

	/* Rg[Cȕ */
	pdInitPeripheral(PDD_PLOGIC_ACTIVE, gMapleRecvBuf, gMapleSendBuf);

#if USE_GDFS
	/* GDt@CVXȅ */
	{
		Uint8* wk;
		Uint8* dir;

		wk  = (Uint8*)(((Uint32)gdfswork & 0xffffffe0) + 0x20);
		dir = (Uint8*)(((Uint32)gdfscurdir & 0xffffffe0) + 0x20);
		gdFsInit(FILES, wk, BUFFERS, dir);
	}
#endif

	/* ̑̏                                           */
	/* ɂȂ̑̃CȕA               */
	/* [U[ōsׂꍇAɋLqł܂B */

	;


	/* 荞݋ */
	set_imask(0);
}


/*
** AvP[V̏I֐
*/

void sbExitSystem(void)
{
	/* Rg[CȕI */
	pdExitPeripheral();

	/* Ninja/KamuȉI */
	njExitSystem();

	/* Ǘ̏I */
	syMallocFinish();

	/* n[hEFȀI */
	syHwFinish();

	/* 荞݋֎~ */
	set_imask(15);
}


/******************************* end of file *******************************/

