
/*************************************************************************
 *  t@C     : ikuseiwin.c
 *  e           : 琬j[EBhE쐬Ǘ
 *  vtBbNX : IkuseiWin
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-19 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __IKUSEIWIN_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "sakusenshituwin.h"
#include "sensyusentakuwin.h"

#include "ikuseiwin.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 75, 75, 50)) /* wiF */

#define WINPOS_LEFT (MAINMENU_POS_LEFT) /* EBhEW */
#define WINPOS_TOP (MAINMENU_POS_TOP) /* EBhEW */

#define BTNNUM (8) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

//static void ToShiaiModule(LPHTtButtonArg arg);
//static void ToJinjiMenu(LPHTtButtonArg arg);
//static void ToKeieiMenu(LPHTtButtonArg arg);
//static void ToJouhouMenu(LPHTtButtonArg arg);
//static void ToRensyuuModule(LPHTtButtonArg arg);
static void ToSakusenshituMenu(LPHTtButtonArg arg);
static void ToSensyuSentakuMode(LPHTtButtonArg arg);
//static void ToKiokuModule(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE ikuseiWin;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID               COLOR        UV */
    ITEM_ATTR_TEXTURE, WINTEXID_SIAI,         COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_JINJI,        COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_KEIEI,        COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_JOUHOU,       COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_RENSYUU,      COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_SAKUSENSHITU, COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_MEETINGSHITU, COL4_RED_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_KIOKU,        COL4_RED_WHITE, UV4_88,
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY          iӖj */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[3], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[4], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[5], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[6], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[7], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    ToSakusenshituMenu,
    ToSensyuSentakuMode,
    NULL,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : IkuseiWin_CreateWindow
 *  e    : EBhE쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void IkuseiWin_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* EBhE쐬 */
    ikuseiWin = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(ikuseiWin, &winTexList);

    /* EBhER[obN֐ݒ */
    SetBtnCallBack();
}

/*************************************************************************
 *  ֐  : IkuseiWin_MapWindow
 *  e    : EBhEĕ\
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void IkuseiWin_MapWindow(void)
{
    HTMapWindow(ikuseiWin);
}

/*************************************************************************
 *  ֐  : IkuseiWin_UnMapWindow
 *  e    : EBhE
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void IkuseiWin_UnMapWindow(void)
{
    HTUnMapWindow(ikuseiWin);
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
}

/*************************************************************************
 *  ֐  : ToSakusenshituMenu
 *  e    : 펺j[
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void ToSakusenshituMenu(LPHTtButtonArg arg)
{
    SakusenshituWin_CreateWindow();
}

/*************************************************************************
 *  ֐  : ToSensyuSentakuMode
 *  e    : II[h
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void ToSensyuSentakuMode(LPHTtButtonArg arg)
{
    HTUnMapWindow(ikuseiWin);
    SensyuSentakuWin_CreateWindow();
}

