
/*************************************************************************
 *  t@C     : sensyusentakuwin.h
 *  e           : II[hEBhE쐬Ǘ
 *  vtBbNX : SensyuSentakuWin
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-19 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __SENSYUSENTAKUWIN_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbutton.h>
#include <htwinbuttonbox.h>

#include "windef.h"
#include "wintex.h"
#include "ikuseiwin.h"

#include "sensyusentakuwin.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(64, 150, 50, 150)) /* wiF */

#define WINPOS_LEFT (MAINMENU_POS_LEFT)
#define WINPOS_TOP (MAINMENU_POS_TOP)
#define WINPOS_RIGHT (640 - MAINMENU_POS_LEFT)
#define WINPOS_BOTTOM (480 - MAINMENU_POS_TOP)

#define BTNNUM (1) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 16) /* {^(g)wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 4)  /* {^(g)xTCY */
#define BTNPOS_X (320 - BTNSIZE_X / 2 - WINPOS_LEFT) /* {^ʒuw */
#define BTNPOS_Y (240 - BTNSIZE_Y / 2 - WINPOS_TOP) /* {^ʒux */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void CreateBtn(void);
static void SetBtnCallBack(void);

static void ReturnToIkuseiMenu(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE sensyuSentakuWin;

static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture          TextureID             COLOR         UV */
    ITEM_ATTR_TEXTURE, WINTEXID_SSENTAKU_MODE, COL4_WHITE_GRAY, UV4_88A,
};

/* {^ACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY                  */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  BTNPOS_X, BTNPOS_Y,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ReturnToIkuseiMenu,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : SensyuSentakuWin_CreateWindow
 *  e    : EBhE쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void SensyuSentakuWin_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* EBhE쐬 */
    sensyuSentakuWin = HTCreateSimpleWindow(WINPOS_LEFT, WINPOS_TOP,
        WINPOS_RIGHT, WINPOS_BOTTOM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(sensyuSentakuWin, &winTexList);

    /* {^̑̐ݒ */
    CreateBtn();

    /* {^R[obN֐ݒ */
    SetBtnCallBack();

    /* ŏɑI{^ */
    HTSetGadgetDefault(sensyuSentakuWin, (LPHTWINGadget)&btnArg[0]);

    /* EBhE}bv */
    HTMapWindow(sensyuSentakuWin);
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : CreateBtn
 *  e    : {^̍쐬
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void CreateBtn(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        HTtCreateButton(sensyuSentakuWin, pBtnArg);
        /* {^I\ɐݒ */
        HTSetGadgetButton((LPHTWINGadget)pBtnArg);
        HTSetGadgetSelectable((LPHTWINGadget)pBtnArg);
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
}

/*************************************************************************
 *  ֐  : ReturnToIkuseiMenu
 *  e    : 琬j[ɖ߂
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void ReturnToIkuseiMenu(LPHTtButtonArg arg)
{
    HTCloseWindow(sensyuSentakuWin);
    IkuseiWin_MapWindow();
}

