
/*************************************************************************
 *  t@C     : topwin.c
 *  e           : gbvEBhE̍쐬Ǘ
 *  vtBbNX : TopWin
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-19 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __TOPWIN_C

/*
######## CN[ht@C ########
*/

#include <ninja.h>
#include <ninjawin.h>
#include <njdef.h>
#include <htwindow.h>
#include "htwinitemgadget.h"

#include "main.h"
#include "windef.h"
#include "wintex.h"
#include "ikuseiwin.h"

#include "topwin.h"

/*
######## 萔錾 ########
*/

/* EBhEW */
#define WINPOS_LEFT (20)
#define WINPOS_TOP (20)
#define WINPOS_RIGHT (620)
#define WINPOS_BOTTOM (460)

/* ACe{bNXKWFbgp萔 */
#define ITEMBOXGADGET (1) /* ACe{bNXKWFbg̐ */

/* EBhE̔zF */
#define WINFGCOLOR ARGB(0, 0, 0, 0) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR ARGB(32, 0, 255, 0) /* ʐF */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void CreateItemBoxGadget(void);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE topWin;

/* ACe{bNXKWFbgpp[^ */
static HTtItemBoxGadgetArg itemBoxGadgetArg[ITEMBOXGADGET];

/* ACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture      TextureID           COLOR         UV */
    /* ^CgpbZ[W(ItemBox) */
    ITEM_ATTR_TEXTURE, WINTEXID_TITLE_0, COL4_WHITE_GRAY, UV4_88A,
    ITEM_ATTR_TEXTURE, WINTEXID_TITLE_1, COL4_WHITE_GRAY, UV4_48A,
};

/* ACe{bNXpACe̍쐬 */
static HTtItem itemTitle[] = { /* ^Cg */
  /*  ItemPtr                 TCY                         */
    1,  &itemAttr[0], ONESTRTEX_X * 8, ONESTRTEX_Y * 1,   0, 0,
    1,  &itemAttr[1], ONESTRTEX_X * 4, ONESTRTEX_Y * 1, ONESTRTEX_X * 8, 0,
};

/* ACe{bNX̍쐬 */
static HTtItemBox itemBox[ITEMBOXGADGET] = {
  /* Itm ItmAryPtr      R[obN */
    2,     itemTitle,   0,  0,   NULL,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : TopWin_CreateWindow
 *  e    : gbvEBhE쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void TopWin_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* gbvEBhE쐬 */
    topWin = HTCreateSimpleWindow(WINPOS_LEFT, WINPOS_TOP,
        WINPOS_RIGHT, WINPOS_BOTTOM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(topWin, &winTexList);

    /* ACe{bNXKWFbgibZ[Wj̍쐬 */
    CreateItemBoxGadget();

    /* EBhE}bv */
    HTMapWindow(topWin);

    /* 琬EBhE쐬 */
    IkuseiWin_CreateWindow();
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : CreateItemBoxGadget
 *  e    : ACe{bNXKWFbg̍쐬
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-19 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void CreateItemBoxGadget(void)
{
    Sint8 i;
    HTtItemBoxGadgetArg* pItemBoxGadgetArg = &itemBoxGadgetArg[0];
    HTtItemBox* pItemBox = &itemBox[0];

    for (i = 0; i < ITEMBOXGADGET; i++) { /* ACe{bNX */
        pItemBoxGadgetArg->itemBox = *pItemBox;
        HTtCreateItemBoxGadget(topWin, pItemBoxGadgetArg);
        pItemBoxGadgetArg++;
        pItemBox++;
    }
}

/*
######## ܂ ########################################################
*/
