
/*************************************************************************
 *  t@C     : winsys.h
 *  e           : EBhE̐錾E}NE\̂Ȃǃ
 *  vtBbNX : Win
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-07-28
 *  Rg       :
 *  o[W     : 1.00
 ************************************************************************/

#ifndef __WINSYS_H
#define __WINSYS_H

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htfont.h>

/*
######## }N ########
*/

/* VXe */
#define WinInit() { htFontInit(); \
                    htFontLoad("jpnhn16x.fnt", "JPNZN16X.X11"); \
                    htFontLoadAnk("roman1.fnt"); \
                    HTWindowInit(); }

/* EBhE[v */
#define WinLoop() { njPushMatrix(NULL); \
                    HTDrawWindowLoop(); \
                    njPopMatrix(1); }

/* S_̃J[ortu */
#define WIN_COL4(_a) (_a.col)
#define WIN_UV4(_a)  (_a.uv)

/* p[cACeݒp */
#define WinPartsItem HTtItemAttr
#define WIN_TEXTURE_ATTR(_a, _b, _c) { ITEM_ATTR_TEXTURE, _a, _b, _c }
#define WIN_POLYGON_ATTR(_a)         { ITEM_ATTR_POLYGON, -1, _a, NULL }

/* t[ݒp */
#define WinFrame HTtItem
#define WIN_PARTS_ATTR(_a, _b, _c, _d, _e) { 1, _a, _b, _c, _d, _e }

/* t[Zbgݒp */
#define WinFrameSet HTtItemBox
#define WIN_FRAME_ATTR(_a, _b) { _b, _a, 0, 0, NULL }

/* Aj[Vݒp */
#define WIN_FRAMESET_ATTR(_a, _b, _c, _d, _e) { _b, _a, _c, _d, _e }

/*
######## \̐錾 ########
*/

typedef struct { /* S_ł̃J[ */
    NJS_COLOR col[4];
} WinCol4;

typedef struct { /* S_ł̂tul */
    NJS_COLOR uv[4];
} WinUV4;

typedef struct { /* wxp[^ */
    Sint32 x;
    Sint32 y;
} WinXY32;

#endif  /* #ifndef __WINSYS_H */

/*
######## ܂ ########
*/
