
/*************************************************************************
 *  t@C     : jinjimenuwin.c
 *  e           : lj[EBhE쐬Ǘ
 *  vtBbNX : JinjiMenuWin
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-30 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __JINJIMENUWIN_C

/*
######## CN[ht@C ########
*/

#include <ninja.h>
#include <ninjawin.h>
#include <njdef.h>

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"

#include "jinjimenutask.h"
#include "taskid.h"

#include "jinjimenuwin.h"

/*
######## 萔錾 ########
*/

/* EBhEW */
#define WINPOS_LEFT (MAINMENU_POS_LEFT)
#define WINPOS_TOP (MAINMENU_POS_TOP)

/* EBhE̔zF */
#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 75, 75, 50)) /* wiF */

#define BTNNUM (11) /* {^ */
#define BTNSIZE_X (STRTEXSIZE_X(8)) /* {^wTCY */
#define BTNSIZE_Y (STRTEXSIZE_Y(2)) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void PushShiai(LPHTtButtonArg arg);
static void PushKeiei(LPHTtButtonArg arg);
static void PushJouhou(LPHTtButtonArg arg);
static void PushIkusei(LPHTtButtonArg arg);
static void PushShinjin(LPHTtButtonArg arg);
static void PushGaikokujin(LPHTtButtonArg arg);
static void PushTrade(LPHTtButtonArg arg);
static void PushKaiko(LPHTtButtonArg arg);
static void PushStaffKoutai(LPHTtButtonArg arg);
static void PushSebangouHenkou(LPHTtButtonArg arg);
static void PushKioku(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
HTWINHANDLE jinjiMenuWin;

/* Ǘ^XN̂hc */
Sint32 taskID;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID                 COLOR        UV */
    ITEM_ATTR_TEXTURE, WINTEXID_SIAI,           COL4_RED_WHITE,  UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_KEIEI,          COL4_RED_WHITE,  UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_JOUHOU,         COL4_RED_WHITE,  UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_IKUSEI,         COL4_RED_WHITE,  UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_SHINJIN,        COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_GAIKOKUJIN,     COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_TRADE,          COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_KAIKO,          COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_STAFFKOUTAI,    COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_SEBANGOUHENKOU, COL4_BLUE_WHITE, UV4_88,
    ITEM_ATTR_TEXTURE, WINTEXID_KIOKU,          COL4_RED_WHITE,  UV4_88,
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr            TCY          iӖj */
    1, &itemAttr[0],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[3],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[4],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[5],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[6],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[7],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[8],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[9],  BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[10], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    PushShiai,
    PushKeiei,
    PushJouhou,
    PushIkusei,
    PushShinjin,
    PushGaikokujin,
    PushTrade,
    PushKaiko,
    PushStaffKoutai,
    PushSebangouHenkou,
    PushKioku,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : JinjiMenuWin_CreateWindow
 *  e    : lj[EBhE̍쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Sint32 id EBhEǗ^XN̂hc (enumTASKID)
 *  out: void
 *************************************************************************
 */
void JinjiMenuWin_CreateWindow(Sint32 id)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* EBhE쐬 */
    jinjiMenuWin = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(jinjiMenuWin, &winTexList);

    /* EBhER[obN֐ݒ */
    SetBtnCallBack();

    /* ŏɑI{^ */
    HTSetGadgetDefault(jinjiMenuWin, (LPHTWINGadget)&btnArg[4]);

    /* Ǘ҃^XN̂hc𓾂 */
    taskID = id;

    /* EBhE}bv */
    HTMapWindow(jinjiMenuWin);
}


/*************************************************************************
 *  ֐  : JinjiMenuWin_CloseWindow
 *  e    : lj[EBhE
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void JinjiMenuWin_CloseWindow(void)
{
    HTCloseWindow(jinjiMenuWin);
}

/*************************************************************************
 *  ֐  : JinjiMenuWin_MapWindow
 *  e    : lj[EBhEĕ\
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void JinjiMenuWin_MapWindow(void)
{
    HTMapWindow(jinjiMenuWin);
}

/*************************************************************************
 *  ֐  : JinjiMenuWin_UnMapWindow
 *  e    : lj[EBhEB
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void JinjiMenuWin_UnMapWindow(void)
{
    HTUnMapWindow(jinjiMenuWin);
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
}

/*************************************************************************
 *  ֐  : PushShiai
 *  e    : {^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushShiai(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_SHIAI);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushKeiei
 *  e    : oc{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushKeiei(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_KEIEI);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushJouhou
 *  e    : {^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushJouhou(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_JOUHOU);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushIkusei
 *  e    : 琬{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushIkusei(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_IKUSEI);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushShinjin
 *  e    : Vl{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushShinjin(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_SHINJIN);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushGaikokujin
 *  e    : Ol{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushGaikokujin(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_GAIKOKUJIN);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushTrade
 *  e    : g[h{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushTrade(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_TRADE);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushKaiko
 *  e    : ك{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushKaiko(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_KAIKO);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushStaffKoutai
 *  e    : X^bt{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushStaffKoutai(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_STAFFKOUTAI);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushSebangouHenkou
 *  e    : wԍI{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushSebangouHenkou(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_SEBANGOUHENKOU);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : PushKioku
 *  e    : L{^ꂽ̃R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-30 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg
 *  out: void
 *************************************************************************
 */
static void PushKioku(LPHTtButtonArg arg)
{
    /* lj[^XÑtO𗧂Ă */
    JinjiMenuTask_ChangeFlag(JINJIMENUTASK_FLAG_KIOKU);
    HTtDrawButton(arg);
}
