
/*************************************************************************
 *  t@C     : windef.h
 *  e           : EBhEVXeŋʂ̒萔}N錾
 *  vtBbNX : WinDef
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-24 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#ifndef __WINDEF_H
#define __WINDEF_H

/*
######## 萔錾 ########
*/

/* Cj[EBhE̍W */
#define MAINMENU_POS_LEFT 40
#define MAINMENU_POS_TOP  60

/* Tuj[EBhEP̍W */
#define SUBMENU1_POS_LEFT 200
#define SUBMENU1_POS_TOP  60

/* Tuj[EBhEQ̍W */
#define SUBMENU2_POS_LEFT 360
#define SUBMENU2_POS_TOP  60

/* [hEBhE̍W */
#define MODE_POS_LEFT 100
#define MODE_POS_TOP  150

/* eNX`P̃TCY */
#define STRTEXSIZE_X(a) (16 * a)
#define STRTEXSIZE_Y(a) (16 * a)

/* tuW (0-255) */
#define UV_MAX (256)

/* eNX`̃Agr[gJ[ilŎwj */
static NJS_COLOR winDef_AttrColor[][4] = {
    ARGB(255, 255, 0, 0), ARGB(255, 255, 0, 0),             /* 0 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),     /* 1 */
        ARGB(255, 128, 128, 128), ARGB(255, 128, 128, 128),
    ARGB(255, 0, 255, 0), ARGB(255, 0, 255, 0),             /* 2 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 128, 128, 255), ARGB(255, 128, 128, 255),     /* 3 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
};

#define COL4_RED_WHITE (winDef_AttrColor[0])
#define COL4_WHITE_GRAY (winDef_AttrColor[1])
#define COL4_GREEN_WHITE (winDef_AttrColor[2])
#define COL4_BLUE_WHITE (winDef_AttrColor[3])

/* ACêtuWilŎwj */
static NJS_COLOR winDef_AttrUV1[][4] = {
    UV(0, 0),   UV(255, 0), UV(255, 255), UV(0, 255),   /* ʏ(8/8) */
    UV(16, 0),  UV(239, 0), UV(239, 255), UV(16, 255),  /* (7/8) */
    UV(32, 0),  UV(223, 0), UV(223, 255), UV(32, 255),  /* (6/8) */
    UV(48, 0),  UV(207, 0), UV(207, 255), UV(48, 255),  /* (5/8) */
    UV(64, 0),  UV(191, 0), UV(191, 255), UV(64, 255),  /* (4/8) */
    UV(80, 0),  UV(175, 0), UV(175, 255), UV(80, 255),  /* (3/8) */
    UV(96, 0),  UV(159, 0), UV(159, 255), UV(96, 255),  /* (2/8) */
    UV(112, 0), UV(143, 0), UV(143, 255), UV(112, 255), /* (1/8) */
};

#define UV4_88  (winDef_AttrUV1[0])
#define UV4_78  (winDef_AttrUV1[1])
#define UV4_68  (winDef_AttrUV1[2])
#define UV4_58  (winDef_AttrUV1[3])
#define UV4_48  (winDef_AttrUV1[4])
#define UV4_38  (winDef_AttrUV1[5])
#define UV4_28  (winDef_AttrUV1[6])
#define UV4_18  (winDef_AttrUV1[7])

/*
######## }N ########
*/

#endif  /* #ifndef __WINDEF_H */

/*
######## ܂ ########
*/
