
/*************************************************************************
 *  t@C     : wintex.c
 *  e           : EBhẼeNX`̍쐬Ǘ
 *  vtBbNX : WinTex
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-29 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __WINTEX_C

/*
######## CN[ht@C ########
*/

#include <ninja.h>
#include <ninjawin.h>
#include <njdef.h>
#include <htfont.h>
#include <htwindow.h>

#include "windef.h"

#include "wintex.h"

/*
######## 萔錾 ########
*/

#define TEXGLOBALINDEX (1000000) /* eNX`̃O[oCfbNX */

/* eNX`̃TCŶ͍Ƃ16w16hbgWwP */
#define STRTEX_WIDTH (STRTEXSIZE_X(8))
#define STRTEX_HEIGHT (STRTEXSIZE_Y(1))

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

/*
######## ÓIϐ ########
*/

/* EBhEŎgeNX`pϐ */
/* TEXLIST ͑̃t@CQƂ */
static NJS_TEXINFO texInfo[WINTEX_TEXNUM];
static NJS_TEXNAME texName[WINTEX_TEXNUM];
NJS_TEXLIST winTexList = { texName, WINTEX_TEXNUM };

/* eNX`pobt@ */
static Uint16 texBuffer[WINTEX_STRNUM][STRTEX_WIDTH * STRTEX_HEIGHT];

/* eNX`Ɏg镶(wb_̂hcƑΉ) */
static char *strTex[WINTEX_STRNUM] = {
    /* \bZ[W */
    "EBhEj", "[",
    "lj[",
    "ocj[",
    "񃁃j[",
    "琬j[",

    /* j[ */
    /* {j[ */
    "",
    "l",
    "oc",
    "",
    "琬",
    "L",
    "Ƃɖ߂",

    /* lj[ */
    "Vl",
    "Ol",
    "g[h",
    "",
    "X^bt",
    "wԍύX",

    /* ocj[ */
    "{݁Eݔ",
    "L",
    "J",
    "TChrWlX",

    /* 񃁃j[ */
    "yig[X",
    "",
    "`[̕",
    "싅a",
    "V",
    "pꎫT",

    /* 琬j[ */
    "K",
    "펺",
    "~[eBO",

    /* VlorOlj[ */
    "T",
    "",
    "Xg",

    /* {݃j[ */
    "ザ",
    "OEh",

    /* L񃁃j[ */
    "싅l̊g",
    "c̃As[",
    "ĨAs[",

    /* Jj[ */
    "ObY",
    "ACe",

    /* TChrWlXj[ */
    "n񎖋",
    "",

    /* j[ */
    "",
    "CO",

    /* yig[Xj[ */
    "s\",
    "`[l",
    "LO",
    "XPW[",

    /* 񍐃j[ */
    "x",
    "",

    /* `[݃̕j[ */
    "",

    /* 싅aj[ */
    "^Cg",
    "I`",

    /* 펺j[ */
    "ŏύX",
    "|WV",
    "胍[e",

    /* e[h */
    "nI",
    "VlXgꗗ",
    "COnI",
    "OlXgꗗ",
    "`[I",
    "II",
    "wԍI",
    "I",
    "fݔI",
    "ObYI",
    "ACeI",
    "n񎖋ƑI",
    "s\\",
    "I萬т",
    "I胉LO",
    "XPW[",
    "x\",
    "\",
    "ѕ\",
    "ʎZoc\",
    "^Cg",
    "I`\",
    "ŏύX",
    "|WV",
    "胍[e",
};

#if 0
/* GeNX`̃t@CîƂsgpj */
static char *picTex[WINTEX_PICNUM] = {
};
#endif

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐    : WinTex_CreateTexture
 *  e    : EBhEVXeŎgeNX`̍쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-29 쐬Jn
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void WinTex_CreateTexture(void)
{
    Sint16 i;
    Sint16 texNo = 0; /* eNX`ԍ */
    NJS_TEXINFO* pTexInfo = &texInfo[0];
    NJS_TEXNAME* pTexName = &texName[0];

    { /* eNX`̍쐬 */
        char** pStrTex = &strTex[0]; /* eNX`ւ̃|C^ */
        memset(texBuffer, 0, sizeof(texBuffer));
        for (i = 0; i < WINTEX_STRNUM; i++) {
            njSetTextureInfo(pTexInfo, texBuffer[texNo],
                NJD_TEXFMT_ARGB_1555 | NJD_TEXFMT_RECTANGLE,
                STRTEX_WIDTH, STRTEX_HEIGHT);
            njSetTextureName(pTexName, pTexInfo, TEXGLOBALINDEX + texNo,
                NJD_TEXATTR_TYPE_MEMORY | NJD_TEXATTR_GLOBALINDEX);
            htFontGetStr(*pStrTex, &texBuffer[texNo],
                STRTEX_WIDTH, HTFONTATTR_POS_CENTER);
            pTexInfo++;
            pTexName++;
            pStrTex++;
            texNo++;
        }
    }

#if 0
    {  /* GeNX`̍쐬îƂsgpj */
        char** pPicTex; /* GeNX`t@Cւ̃|C^ */
        pPicTex = &picTex[0];
        for (i = 0; i < WINTEX_PICNUM; i++) {
            njSetTextureName(pTexName, *pPicTex, TEXGLOBALINDEX + texNo,
                NJD_TEXATTR_GLOBALINDEX);
            pTexName++;
            pPicTex++;
            texNo++;
        }
    }
#endif

    /* eNX`̃[h */
    njLoadTexture(&winTexList);
}

/*
######## [J֐ ####################################################
*/

/*
######## ܂ ########################################################
*/
