
/*************************************************************************
 *  t@C     : btnwin1.c
 *  e           : {^EBhEPiTuj[j쐬Ǘ
 *  vtBbNX : BtnWin1
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-02 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN1_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "winframe.h"
#include "topwin.h"

#include "btnwin1.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 75, 50, 50)) /* wiF */

#define WINPOS_LEFT (60) /* EBhEW */
#define WINPOS_TOP (140) /* EBhEW */

#define BTNNUM (3) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void ChangeMode0(LPHTtButtonArg arg);
static void ChangeMode1(LPHTtButtonArg arg);
static void ChangeMode2(LPHTtButtonArg arg);

static void UpValue(LPHTtButtonArg arg);
static void DownValue(LPHTtButtonArg arg);
static void WinClose(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin1;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID         COLOR       UV */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN10_0,  COL4_BTN10, UV4_88, /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN11_0,  COL4_BTN10, UV4_88, /* 1 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTNRET_0, COL4_BTN10, UV4_88, /* 2 */
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY           */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ChangeMode0,
    ChangeMode1,
    ChangeMode2,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
    NULL,
    WinClose,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin1_CreateWindow
 *  e    : {^EBhEP쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin1_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhEP̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* {^EBhEP쐬 */
    btnWin1 = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin1, &winTexList);

    /* {^EBhEPR[obN֐ݒ */
    SetBtnCallBack();
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^EBhEP̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhEP̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
    /* EBhEg`JñR[obN */
    HTSetWinFrameStartCallBack(btnWin1, WinFrame_StartCallBack);
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhEP[hOɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN10);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhEP[hPɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN11);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode2
 *  e    : {^EBhEP[hQɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode2(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTNRET);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : WinClose
 *  e    : {^EBhEP[hQŉꂽƂ̃R[obN֐
 *            {^EBhEP
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-03 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void WinClose(LPHTtButtonArg arg)
{
    TopWin_CloseBarGraph();
    HTCloseWindow(btnWin1);
}

