
/*************************************************************************
 *  t@C     : btnwin2.c
 *  e           : {^EBhEQiTuj[j쐬Ǘ
 *  vtBbNX : BtnWin2
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-09 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN2_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "winframe.h"
#include "topwin.h"

#include "btnwin2.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 75, 75, 50)) /* wiF */

#define WINPOS_LEFT (60 + 128) /* EBhEW */
#define WINPOS_TOP (140) /* EBhEW */

#define BTNNUM (6) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void ChangeMode0(LPHTtButtonArg arg);
static void ChangeMode1(LPHTtButtonArg arg);
static void ChangeMode2(LPHTtButtonArg arg);
static void ChangeMode3(LPHTtButtonArg arg);
static void ChangeMode4(LPHTtButtonArg arg);
static void ChangeMode5(LPHTtButtonArg arg);

static void WinClose(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin2;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID         COLOR       UV */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN20_0,  COL4_BTN20, UV4_88, /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN21_0,  COL4_BTN20, UV4_88, /* 1 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN22_0,  COL4_BTN20, UV4_88, /* 2 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN23_0,  COL4_BTN20, UV4_88, /* 3 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN24_0,  COL4_BTN20, UV4_88, /* 4 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTNRET_0, COL4_BTN20, UV4_88, /* 5 */
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY           */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[3], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[4], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[5], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ChangeMode0,
    ChangeMode1,
    ChangeMode2,
    ChangeMode3,
    ChangeMode4,
    ChangeMode5,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    WinClose,
};

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin2_CreateWindow
 *  e    : {^EBhEQ쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin2_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhEQ̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* {^EBhEQ쐬 */
    btnWin2 = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin2, &winTexList);

    /* {^EBhEQR[obN֐ݒ */
    SetBtnCallBack();
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^EBhEQ̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhEQ̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
    /* EBhEg`JñR[obN */
    HTSetWinFrameStartCallBack(btnWin2, WinFrame_StartCallBack);
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhEQ[hOɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN20);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_0);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhEQ[hPɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN20);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_1);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode2
 *  e    : {^EBhEQ[hQɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode2(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN20);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_2);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode3
 *  e    : {^EBhEQ[hRɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode3(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN20);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_3);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode4
 *  e    : {^EBhEQ[hSɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode4(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN20);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_4);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode5
 *  e    : {^EBhEQ[hTɂƂ̃R[obN֐
 *            bZ[WύX違[_[`[g̕\ύX(NONE)
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode5(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTNRET);
    TopWin_ChangeRadarChart(TOPWIN_RCMODE_NONE);
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : WinClose
 *  e    : {^EBhEQ[hSŉꂽƂ̃R[obN֐
 *            {^EBhEQ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-09 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void WinClose(LPHTtButtonArg arg)
{
    TopWin_CloseRadarChart();
    HTCloseWindow(btnWin2);
}

