
/*************************************************************************
 *  t@C     : btnwin3.c
 *  e           : {^EBhERi񃁃j[j쐬Ǘ
 *                   SimpleWindowɃ{^zu
 *  vtBbNX : BtnWin3
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-12 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN3_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbutton.h>
#include <htwinbuttonbox.h>
#include "htwinitemgadget.h"

#include "windef.h"
#include "wintex.h"
#include "winframe.h"
#include "topwin.h"

#include "btnwin3.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 50, 75, 50)) /* wiF */

#define WINPOS_LEFT (80)
#define WINPOS_TOP (160)
#define WINPOS_RIGHT (560)
#define WINPOS_BOTTOM (420)

#define BTNNUM (5) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 2) /* {^(g)wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 1) /* {^(g)xTCY */

enum { /* ǂ̃vC[\邩 */
    PLAYER_0,
    PLAYER_1,
    PLAYER_2,
    PLAYER_3,
    PLAYER_4,

    PLAYER_END
};

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void CreateBtn(void);
static void SetBtnCallBack(void);
static void WinProc(HTWINHANDLE win);

static void ChangeMode0(LPHTtButtonBoxArg arg);
static void ChangeMode1(LPHTtButtonBoxArg arg);
static void ChangeMode2(LPHTtButtonBoxArg arg);
static void ChangeMode3(LPHTtButtonBoxArg arg);
static void ChangeMode4(LPHTtButtonBoxArg arg);

static void WinClose(LPHTtButtonBoxArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin3;

static HTtButtonBoxArg btnBoxArg[BTNNUM];

/* ACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID        COLOR          UV */
    /* {^pACe */
    ITEM_ATTR_TEXTURE, WINTEX_ID_PIC0,    COL4_ALPHA255, UV4_88,  /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN20_0, COL4_BTN00,    UV4_78H, /* 1 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN21_0, COL4_BTN01,    UV4_38H, /* 2 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN22_0, COL4_BTN02,    UV4_48H, /* 3 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN23_0, COL4_MESSAGE,  UV4_48H, /* 4 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN24_0, COL4_TITLE,    UV4_48H, /* 5 */
    /*  */
    ITEM_ATTR_TEXTURE, WINTEX_ID_PIC3,    COL4_ALPHA128, UV4_88H, /* 6 */
};

/* P̃ACe̍쐬 */
static HTtItem wallItem = { /* ǗpACe */
  /*  ItemPtr     TCY      */
    1, &itemAttr[6], 150, 220,  300, 20,
};

/* {^pACe(ItemBox)̍쐬 */
static HTtItem btnItem30[] = { /* {^30{bNXpACe */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,  0,
    1, &itemAttr[1], ONESTRTEX_X * 8, ONESTRTEX_Y * 1, 40,  0,
};
static HTtItem btnItem31[] = { /* {^31{bNXpACe */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,  0,
    1, &itemAttr[2], ONESTRTEX_X * 8, ONESTRTEX_Y * 1, 40,  0,
};
static HTtItem btnItem32[] = { /* {^32{bNXpACe */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,  0,
    1, &itemAttr[3], ONESTRTEX_X * 8, ONESTRTEX_Y * 1, 40,  0,
};
static HTtItem btnItem33[] = { /* {^33{bNXpACe */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,  0,
    1, &itemAttr[4], ONESTRTEX_X * 8, ONESTRTEX_Y * 1, 40,  0,
};
static HTtItem btnItem34[] = { /* {^34{bNXpACe */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,  0,
    1, &itemAttr[5], ONESTRTEX_X * 8, ONESTRTEX_Y * 1, 40,  0,
};

static HTtItem btnItem30S[] = { /* {^30{bNXpACe(I) */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,   0,
    1, &itemAttr[1], ONESTRTEX_X * 8, ONESTRTEX_Y * 3, 40, -16,
};
static HTtItem btnItem31S[] = { /* {^31{bNXpACe(I) */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,   0,
    1, &itemAttr[2], ONESTRTEX_X * 8, ONESTRTEX_Y * 3, 40, -16,
};
static HTtItem btnItem32S[] = { /* {^32{bNXpACe(I) */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,   0,
    1, &itemAttr[3], ONESTRTEX_X * 8, ONESTRTEX_Y * 3, 40, -16,
};
static HTtItem btnItem33S[] = { /* {^33{bNXpACe(I) */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,   0,
    1, &itemAttr[4], ONESTRTEX_X * 8, ONESTRTEX_Y * 3, 40, -16,
};
static HTtItem btnItem34S[] = { /* {^34{bNXpACe(I) */
  /*  ItemPtr                 TCY                 */
    1, &itemAttr[0], ONESTRTEX_X * 2, ONESTRTEX_Y * 1,  0,   0,
    1, &itemAttr[5], ONESTRTEX_X * 8, ONESTRTEX_Y * 3, 40, -16,
};

static HTtItemBox btnItemBox[BTNNUM] = { /* {^ACe{bNX */
  /* Itm ItmAryPtr  R[obN */
    2, btnItem30,  20,  40,  NULL,  /* 0 */
    2, btnItem31,  40,  80,  NULL,  /* 1 */
    2, btnItem32,  60, 120,  NULL,  /* 2 */
    2, btnItem33,  80, 160,  NULL,  /* 3 */
    2, btnItem34, 100, 200,  NULL,  /* 4 */
};

static HTtItemBox btnItemBoxS[BTNNUM] = { /* IԂł̕\ACe */
  /* Itm ItmAryPtr  R[obN */
    2, btnItem30S,  20,  40,  NULL,  /* 0 */
    2, btnItem31S,  40,  80,  NULL,  /* 0 */
    2, btnItem32S,  60, 120,  NULL,  /* 0 */
    2, btnItem33S,  80, 160,  NULL,  /* 0 */
    2, btnItem34S, 100, 200,  NULL,  /* 0 */
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonBoxArg arg) = {
    ChangeMode0,
    ChangeMode1,
    ChangeMode2,
    ChangeMode3,
    ChangeMode4,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonBoxArg arg) = {
    WinClose,
    WinClose,
    WinClose,
    WinClose,
    WinClose,
};

static HTtItemGadgetArg itemGadgetArg;

static Sint8 player; /* \vC[ */

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin3_CreateWindow
 *  e    : {^EBhER쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-02 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin3_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhER쐬 */
    btnWin3 = HTCreateSimpleWindow(WINPOS_LEFT, WINPOS_TOP,
        WINPOS_RIGHT, WINPOS_BOTTOM, WINFGCOLOR, WINBGCOLOR);

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin3, &winTexList);

    /* {^EBhEȒ̐ݒ */
    CreateBtn();

    /* {^EBhERR[obN֐ݒ */
    SetBtnCallBack();

    /* ŏɑI{^ݒ */
    HTSetGadgetDefault(btnWin3, (LPHTWINGadget)&btnBoxArg[0]);

    /* ǃACeKWFbg쐬 */
    itemGadgetArg.item = wallItem;
    HTtCreateItemGadget(btnWin3, &itemGadgetArg);

    /* EBhE}bv */
    HTMapWindow(btnWin3);

    /* \v[[ */
    player = PLAYER_0;
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : CreateBtn
 *  e    : {^EBhER̃{^̍쐬
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void CreateBtn(void)
{
    Sint8 i;
    HTtButtonBoxArg* pBtnBoxArg = &btnBoxArg[0];
    HTtItemBox* pItemBox = &btnItemBox[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnBoxArg->lp_item = pItemBox;
        pBtnBoxArg->size.x = BTNSIZE_X;
        pBtnBoxArg->size.y = BTNSIZE_Y;
        HTtCreateButtonBox(btnWin3, pBtnBoxArg);
        /* {^I\ɐݒ */
        HTSetGadgetButton((LPHTWINGadget)pBtnBoxArg);
        HTSetGadgetSelectable((LPHTWINGadget)pBtnBoxArg);
        pBtnBoxArg++;
        pItemBox++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhER̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonBoxArg* pBtnBoxArg = &btnBoxArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonBoxArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonBoxArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonBoxCallBack(pBtnBoxArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonBoxCallBack(pBtnBoxArg, *pPushBtnCallBack);
        pBtnBoxArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
    HTSetWinFrameStartCallBack(btnWin3, WinFrame_StartCallBack);
    HTSetWinProc(btnWin3, WinProc);
}

/*************************************************************************
 *  ֐  : WinProc
 *  e    : {^EBhER̕WR[obN֐
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : HTWINHANDLE win EBhEhc
 *  out: void
 *************************************************************************
 */
static void WinProc(HTWINHANDLE win)
{
    /* IuWFNg(model.c) */
    extern NJS_OBJECT object_segalogo_s1_s1[];
    extern NJS_OBJECT object_cube_root[];

    /* [VeXg */
    extern NJS_OBJECT object_words_kakin_kakin[];
    extern NJS_MOTION motion_words_kakin[];
    #define OBJECT_M object_words_kakin_kakin
    #define MOTION0 motion_words_kakin
    #define MOTION1 motion_words_kakin
    #define LSTEP 5
    NJS_MOTION_LINK motionlink;
    static Float mFrame = 0.0F; /* [Vt[ */

//    extern NJS_OBJECT object_J_W1030_Null[];
//    extern NJS_TEXLIST texlist_J_W1030;

    static Angle angleY = NJM_DEG_ANG(0);
    NJS_SCREEN scr;

    /* XN[ݒ */
    scr.dist = 500.0F;
    scr.w = 640.0F;
    scr.h = 480.0F;
    scr.cx = 455.0F;
    scr.cy = 280.0F;
    njSetScreen(&scr);

    /* [VN̐ݒ([ṼPcA^}) */
    motionlink.motion[0] = MOTION0; /* N */
    motionlink.motion[1] = MOTION0; /* N */
    motionlink.frame[0] = (Float)MOTION0->nbFrame-1;
    motionlink.frame[1] = 0;

    njPushMatrix(NULL);
        njSetConstantAttr(0xffffffff, NJD_FLAG_USE_FLAT);
        njTranslate(NULL, 0.0F, 0.0F, -30.0F);

        switch (player) { /* vC[\ */
            case PLAYER_0:
                mFrame += 0.25F;
                if (mFrame >= (MOTION0->nbFrame + LSTEP)) { /* I */
                    mFrame -= (MOTION0->nbFrame + LSTEP);
                }
                if (mFrame < MOTION0->nbFrame) { /* [V */
                    njDrawMotion(OBJECT_M, MOTION0, mFrame);
                }
                else { /* [VN */
                    njDrawMotionLink(OBJECT_M, &motionlink,
                                     (mFrame - MOTION0->nbFrame) / LSTEP);
                }
                break;
            case PLAYER_1:
                /* ]p̍XV */
                angleY += NJM_DEG_ANG(-1.5F);
                if (angleY <= NJM_DEG_ANG(360.0F)) {
                    angleY += NJM_DEG_ANG(360.0F);
                }
                njRotateY(NULL, angleY);
                njDrawObject(object_cube_root);
                break;
            case PLAYER_2:
//                njScale(NULL, 0.06F, 0.06F, 0.06F);
//                njSetTexture( &texlist_J_W1030 );
//                njDrawObject(object_words_kakin_kakin);
                njDrawObject(object_segalogo_s1_s1);
                break;
            case PLAYER_3:
                angleY += NJM_DEG_ANG(-1.5F);
                if (angleY <= NJM_DEG_ANG(360.0F)) {
                    angleY += NJM_DEG_ANG(360.0F);
                }
                njRotateY(NULL, angleY);
                njDrawObject(object_segalogo_s1_s1);
                break;
            case PLAYER_4:
                njDrawObject(object_cube_root);
                break;
        }
    njPopMatrix(1);

    /* XN[ݒɖ߂ */
    scr.cx = 320.0F;
    scr.cy = 240.0F;
    njSetScreen(&scr);
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhER[hOɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonBoxArg arg)
{
    player = PLAYER_0;
    TopWin_ChangeMessage(TOPWIN_MESID_BTN30);
    HTtDrawItemBox(&btnItemBoxS[0]);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhER[hPɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonBoxArg arg)
{
    player = PLAYER_1;
    TopWin_ChangeMessage(TOPWIN_MESID_BTN30);
    HTtDrawItemBox(&btnItemBoxS[1]);
}

/*************************************************************************
 *  ֐  : ChangeMode2
 *  e    : {^EBhER[hQɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode2(LPHTtButtonBoxArg arg)
{
    player = PLAYER_2;
    TopWin_ChangeMessage(TOPWIN_MESID_BTN30);
    HTtDrawItemBox(&btnItemBoxS[2]);
}

/*************************************************************************
 *  ֐  : ChangeMode3
 *  e    : {^EBhER[hRɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode3(LPHTtButtonBoxArg arg)
{
    player = PLAYER_3;
    TopWin_ChangeMessage(TOPWIN_MESID_BTN30);
    HTtDrawItemBox(&btnItemBoxS[3]);
}

/*************************************************************************
 *  ֐  : ChangeMode4
 *  e    : {^EBhER[hSɂƂ̃R[obN֐
 *            bZ[WύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode4(LPHTtButtonBoxArg arg)
{
    player = PLAYER_4;
    TopWin_ChangeMessage(TOPWIN_MESID_BTN30);
    HTtDrawItemBox(&btnItemBoxS[4]);
}

/*************************************************************************
 *  ֐  : WinClose
 *  e    : {^EBhERꂽƂ̃R[obN֐
 *            {^EBhER
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-12 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void WinClose(LPHTtButtonBoxArg arg)
{
    HTCloseWindow(btnWin3);
}

