
/*************************************************************************
 *  t@C     : btnwin5.c
 *  e           : {^EBhETiafj[j쐬Ǘ
 *  vtBbNX : BtnWin5
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-10 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __BTNWIN5_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>
#include <htwinbuttonarray.h>

#include "windef.h"
#include "wintex.h"
#include "winframe.h"
#include "topwin.h"
#include "btnwin4.h"

#include "btnwin5.h"

/*
######## 萔錾 ########
*/

#define WINFGCOLOR (ARGB(0, 0, 0, 0)) /* OʐF(iKł͕sgp) */
#define WINBGCOLOR (ARGB(150, 50, 50, 75)) /* wiF */

#define WINPOS_LEFT (60 + 128 + 128 + 128) /* EBhEW */
#define WINPOS_TOP (140) /* EBhEW */

#define BTNNUM (3) /* {^ */
#define BTNSIZE_X (ONESTRTEX_X * 8) /* {^wTCY */
#define BTNSIZE_Y (ONESTRTEX_Y * 2) /* {^xTCY */

/* {^ʒu */
enum {
    BTNPOS_0 = 0,
    BTNPOS_1,
    BTNPOS_2,

    BTNPOS_END
};

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void SetBtnAttr(void);
static void SetBtnCallBack(void);

static void ChangeMode0(LPHTtButtonArg arg);
static void ChangeMode1(LPHTtButtonArg arg);
static void ChangeMode2(LPHTtButtonArg arg);

static void BGChange(LPHTtButtonArg arg);
static void WinClose(LPHTtButtonArg arg);

/*
######## ÓIϐ ########
*/

/* EBhEnh */
static HTWINHANDLE btnWin5;

/* {^EBhEpp[^ */
static HTtButtonArg btnArg[BTNNUM];

/* {^pACẽAgr[g */
static HTtItemAttr itemAttr[] = {
  /* Polygon/Texture       TextureID        COLOR       UV */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN50_0, COL4_BTN50, UV4_88, /* 0 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN51_0, COL4_BTN50, UV4_88, /* 1 */
    ITEM_ATTR_TEXTURE, WINTEX_ID_BTN52_0, COL4_BTN50, UV4_88, /* 2 */
};

/* {^pACe̍쐬 */
static HTtItem btnItem[BTNNUM] = {
  /*  ItemPtr           TCY           */
    1, &itemAttr[0], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[1], BTNSIZE_X, BTNSIZE_Y,  0, 0,
    1, &itemAttr[2], BTNSIZE_X, BTNSIZE_Y,  0, 0,
};

/* J[\{^ɂƂɌĂ΂R[obN֐ */
static void (*onBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    ChangeMode0,
    ChangeMode1,
    ChangeMode2,
};

/* {^IꂽƂɌĂ΂R[obN֐ */
static void (*pushBtnCallBack[BTNNUM])(LPHTtButtonArg arg) = {
    WinClose,
    WinClose,
    WinClose,
};

/* af[h(topwin.c) */
extern Sint8 topWin_bgMode;

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : BtnWin5_CreateWindow
 *  e    : {^EBhET쐬
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
void BtnWin5_CreateWindow(void)
{
    extern NJS_TEXLIST winTexList; /* eNX`Xg(wintex.c) */

    /* {^EBhET̑̐ݒ */
    SetBtnAttr();

    /* {^ACcɕׂ */
    HTtSetButtonArrayAttribute(HTBUTTONARRAY_ATTR_VERT);

    /* {^EBhET쐬 */
    btnWin5 = HTtCreateButtonArrayWindow(WINPOS_LEFT, WINPOS_TOP,
        btnArg, BTNNUM, WINFGCOLOR, WINBGCOLOR);

    /* J[\̃ftHgʒuݒ */
    if (topWin_bgMode == TOPWIN_BGMODE_0) {
        HTSetGadgetDefault(btnWin5, (LPHTWINGadget)&btnArg[BTNPOS_0]);
    }
    else if (topWin_bgMode == TOPWIN_BGMODE_1) {
        HTSetGadgetDefault(btnWin5, (LPHTWINGadget)&btnArg[BTNPOS_1]);
    }
    else if (topWin_bgMode == TOPWIN_BGMODE_2) {
        HTSetGadgetDefault(btnWin5, (LPHTWINGadget)&btnArg[BTNPOS_2]);
    }

    /* eNX`Xg̐ݒ */
    HTSetTextureList(btnWin5, &winTexList);

    /* {^EBhETR[obN֐ݒ */
    SetBtnCallBack();
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : SetBtnAttr
 *  e    : {^EBhET̑̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnAttr(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    HTtItem* pItem = &btnItem[0];

    for (i = 0; i < BTNNUM; i++) {
        pBtnArg->item = *pItem;
        pBtnArg++;
        pItem++;
    }
}

/*************************************************************************
 *  ֐  : SetBtnCallBack
 *  e    : {^EBhET̃R[obN֐̐ݒ
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : void
 *  out: void
 *************************************************************************
 */
static void SetBtnCallBack(void)
{
    Sint8 i;
    HTtButtonArg* pBtnArg = &btnArg[0];
    void (**pOnBtnCallBack)(LPHTtButtonArg arg) = &onBtnCallBack[0];
    void (**pPushBtnCallBack)(LPHTtButtonArg arg) = &pushBtnCallBack[0];

    for (i = 0; i < BTNNUM; i++) {
        /* J[\{^ɗƂ̃R[obN */
        HTtSetOnButtonCallBack(pBtnArg, *pOnBtnCallBack);
        /* {^IꂽƂ̃R[obN */
        HTtSetPushButtonCallBack(pBtnArg, *pPushBtnCallBack);
        pBtnArg++;
        pOnBtnCallBack++;
        pPushBtnCallBack++;
    }
}

/*************************************************************************
 *  ֐  : ChangeMode0
 *  e    : {^EBhET[hOɂƂ̃R[obN֐
 *            bZ[WύX違afύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode0(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN50);
    topWin_bgMode = TOPWIN_BGMODE_0;
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode1
 *  e    : {^EBhET[hPɂƂ̃R[obN֐
 *            bZ[WύX違afύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode1(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN50);
    topWin_bgMode = TOPWIN_BGMODE_1;
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : ChangeMode2
 *  e    : {^EBhET[hQɂƂ̃R[obN֐
 *            bZ[WύX違afύX
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void ChangeMode2(LPHTtButtonArg arg)
{
    TopWin_ChangeMessage(TOPWIN_MESID_BTN50);
    topWin_bgMode = TOPWIN_BGMODE_2;
    HTtDrawButton(arg);
}

/*************************************************************************
 *  ֐  : WinClose
 *  e    : {^EBhET[h012ŉꂽƂ̃R[obN֐
 *            {^EBhET違{^EBhESĕ\
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtButtonArg arg {^̈
 *  out: void
 *************************************************************************
 */
static void WinClose(LPHTtButtonArg arg)
{
    HTCloseWindow(btnWin5);
    BtnWin4_MapWindow();
}
