
/*************************************************************************
 *  t@C     : htwinitemgadget.c
 *  e           : ACeKWFbg̊Ǘ
 *  vtBbNX : HTt
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-01 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __HTWINITEMGADGET_C

/*
######## CN[ht@C ########
*/

#include "htwinitemgadget.h"

/*
######## 萔錾 ########
*/

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

static void drawItemGadgetMethod(LPHTtItemGadgetArg arg, Sint32 state);
static void drawItemBoxGadgetMethod(LPHTtItemBoxGadgetArg arg, Sint32 state);

/*
######## ÓIϐ ########
*/

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐  : HTtCreateItemGadget
 *  e    : ItemP̂Gadget
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : HTWINHANDLE win EBhEnh
 *       LPHTtItemGadgetArg arg ACep[^ւ̃|C^
 *  out: void
 *************************************************************************
 */
void HTtCreateItemGadget(HTWINHANDLE win, LPHTtItemGadgetArg arg)
{
    HTManagedGadget(win, (LPHTWINGadget)arg);
    arg->node.method = drawItemGadgetMethod;
}

/*************************************************************************
 *  ֐  : HTtCreateItemBoxGadget
 *  e    : ItemBoxGadget
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : HTWINHANDLE win EBhEnh
 *       LPHTtItemBoxGadgetArg arg p[^ւ̃|C^
 *  out: void
 *************************************************************************
 */
void HTtCreateItemBoxGadget(HTWINHANDLE win, LPHTtItemBoxGadgetArg arg)
{
    HTManagedGadget(win, (LPHTWINGadget)arg);
    arg->node.method = drawItemBoxGadgetMethod;
}

/*
######## [J֐ ####################################################
*/

/*************************************************************************
 *  ֐  : drawItemGadgetMethod
 *  e    : ItemP̂Gadget̕`R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtItemGadgetArg arg p[^ւ̃|C^
 *       Sint32 state ݂̏
 *  out: void
 *************************************************************************
 */
static void drawItemGadgetMethod(LPHTtItemGadgetArg arg, Sint32 state)
{
    HTtDrawItem(&arg->item);
}

/*************************************************************************
 *  ֐  : drawItemBoxGadgetMethod
 *  e    : ItemBoxGadget̕`R[obN
 *      : [J֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-01 (ŏIXV)
 *  Rg:
 *------------------------------------------------------------------------
 *  in : LPHTtItemBoxGadgetArg arg p[^ւ̃|C^
 *       Sint32 state ݂̏
 *  out: void
 *************************************************************************
 */
static void drawItemBoxGadgetMethod(LPHTtItemBoxGadgetArg arg, Sint32 state)
{
    HTtDrawItemBox(&arg->itemBox);
}
