
/*************************************************************************
 *  t@C     : windef.h
 *  e           : EBhEVXeŋʂ̒萔}N錾
 *  vtBbNX : WinDef
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-01 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#ifndef __WINDEF_H
#define __WINDEF_H

/*
######## 萔錾 ########
*/

/* eNX`P̃TCY */
#define ONESTRTEX_X (16)
#define ONESTRTEX_Y (16)

/* tuW (0-255) */
#define UV_MAX (256)

/* C`LtuW␳p萔 */
#define UV_HOSEI (10)

/* eNX`̃Agr[gJ[ilŎwj */
static NJS_COLOR winDef_AttrColor[][4] = {
    ARGB(255, 255, 0, 0), ARGB(255, 255, 0, 0),             /* 0 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 255, 255, 0), ARGB(255, 255, 255, 0),         /* 1 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 0, 255, 0), ARGB(255, 0, 255, 0),             /* 2 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 0, 255, 255), ARGB(255, 0, 255, 255),         /* 3 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),     /* 4 */
        ARGB(255, 128, 128, 128), ARGB(255, 128, 128, 128),
    ARGB(255, 255, 128, 128), ARGB(255, 255, 128, 128),     /* 5 */
        ARGB(255, 128, 128, 255), ARGB(255, 128, 128, 255),
    ARGB(255, 255, 0, 0), ARGB(255, 255, 0, 0),             /* 6 */
        ARGB(255, 0, 255, 255), ARGB(255, 0, 255, 255),
    ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),     /* 7 */
        ARGB(255, 255, 255, 255), ARGB(255, 255, 255, 255),
    ARGB(64, 255, 255, 255), ARGB(64, 255, 255, 255),       /* 8 */
        ARGB(64, 255, 255, 255), ARGB(64, 255, 255, 255),
    ARGB(128, 255, 255, 255), ARGB(128, 255, 255, 255),     /* 9 */
        ARGB(128, 255, 255, 255), ARGB(128, 255, 255, 255),
};

#define COL4_BTN00   (winDef_AttrColor[0])
#define COL4_BTN01   (winDef_AttrColor[1])
#define COL4_BTN02   (winDef_AttrColor[2])
#define COL4_BTN03   (winDef_AttrColor[3])
#define COL4_BTN10   (winDef_AttrColor[0])
#define COL4_BTN20   (winDef_AttrColor[1])
#define COL4_BTN40   (winDef_AttrColor[3])
#define COL4_BTN50   (winDef_AttrColor[3])

#define COL4_TITLE   (winDef_AttrColor[4])
#define COL4_MESSAGE (winDef_AttrColor[5])
#define COL4_RC0     (winDef_AttrColor[6])

#define COL4_ALPHA255 (winDef_AttrColor[7])
#define COL4_ALPHA64  (winDef_AttrColor[8])
#define COL4_ALPHA128 (winDef_AttrColor[9])

/* ACêtuWilŎwj */
static NJS_COLOR winDef_AttrUV1[][4] = {
    UV(0, 0),   UV(255, 0), UV(255, 255), UV(0, 255),   /* ʏ(8/8) */
    UV(16, 0),  UV(239, 0), UV(239, 255), UV(16, 255),  /* (7/8) */
    UV(32, 0),  UV(223, 0), UV(223, 255), UV(32, 255),  /* (6/8) */
    UV(48, 0),  UV(207, 0), UV(207, 255), UV(48, 255),  /* (5/8) */
    UV(64, 0),  UV(191, 0), UV(191, 255), UV(64, 255),  /* (4/8) */
    UV(80, 0),  UV(175, 0), UV(175, 255), UV(80, 255),  /* (3/8) */
    UV(96, 0),  UV(159, 0), UV(159, 255), UV(96, 255),  /* (2/8) */
    UV(112, 0), UV(143, 0), UV(143, 255), UV(112, 255), /* (1/8) */
};

static NJS_COLOR winDef_AttrUV2[][4] = { /* C`L␳ */
    UV(0, 0 + UV_HOSEI), UV(255, 0 + UV_HOSEI),
      UV(255, 255 + UV_HOSEI), UV(0, 255 + UV_HOSEI),  /* ʏ(8/8)␳ */
    UV(16, 0 + UV_HOSEI), UV(239, 0 + UV_HOSEI),
      UV(239, 255 + UV_HOSEI), UV(16, 255 + UV_HOSEI), /* (7/8)␳ */
    UV(32, 0 + UV_HOSEI), UV(223, 0 + UV_HOSEI),
      UV(223, 255 + UV_HOSEI), UV(32, 255 + UV_HOSEI), /* (6/8)␳ */
    UV(48, 0 + UV_HOSEI), UV(207, 0 + UV_HOSEI),
      UV(207, 255 + UV_HOSEI), UV(48, 255 + UV_HOSEI), /* (5/8)␳ */
    UV(64, 0 + UV_HOSEI), UV(191, 0 + UV_HOSEI),
      UV(191, 255 + UV_HOSEI), UV(64, 255 + UV_HOSEI), /* (4/8)␳ */
    UV(80, 0 + UV_HOSEI), UV(175, 0 + UV_HOSEI),
      UV(175, 255 + UV_HOSEI), UV(80, 255 + UV_HOSEI), /* (3/8)␳ */
    UV(96, 0 + UV_HOSEI), UV(159, 0 + UV_HOSEI),
      UV(159, 255 + UV_HOSEI), UV(96, 255 + UV_HOSEI), /* (2/8)␳ */
    UV(112, 0 + UV_HOSEI), UV(143, 0 + UV_HOSEI),
      UV(143, 255 + UV_HOSEI), UV(112, 255 + UV_HOSEI),/* (1/8)␳ */
};

#define UV4_88  (winDef_AttrUV1[0])
#define UV4_88H (winDef_AttrUV2[0])
#define UV4_78  (winDef_AttrUV1[1])
#define UV4_78H (winDef_AttrUV2[1])
#define UV4_68  (winDef_AttrUV1[2])
#define UV4_68H (winDef_AttrUV2[2])
#define UV4_58  (winDef_AttrUV1[3])
#define UV4_58H (winDef_AttrUV2[3])
#define UV4_48  (winDef_AttrUV1[4])
#define UV4_48H (winDef_AttrUV2[4])
#define UV4_38  (winDef_AttrUV1[5])
#define UV4_38H (winDef_AttrUV2[5])
#define UV4_28  (winDef_AttrUV1[6])
#define UV4_28H (winDef_AttrUV2[6])
#define UV4_18  (winDef_AttrUV1[7])
#define UV4_18H (winDef_AttrUV2[7])

/*
######## }N ########
*/

#endif  /* #ifndef __WINDEF_H */

/*
######## ܂ ########
*/
