
/*************************************************************************
 *  t@C     : winframe.c
 *  e           : EBhẼt[`̊Ǘ
 *  vtBbNX : WinFrame
 *  쐬         :  j (Yoshio Hashiguchi)
 *  쐬         : 98-06-10 쐬Jn
 *  Rg       :
 *  o[W     : 0.01
 ************************************************************************/

#define __WINFRAME_C

/*
######## CN[ht@C ########
*/

#include <htwindow.h>

#include "winframe.h"

/*
######## 萔錾 ########
*/

#define FRAMECUT (15) /* g`R[obÑR} */
#define FRAMECOL (ARGB(255, 255, 255, 255)) /* g̐F */

/*
######## }N ########
*/

/*
######## \̐錾 ########
*/

/*
######## ÓIϐ ########
*/

/*
######## Ŏg֐̃vg^Cv錾 ########
*/

/*
######## O[o֐ ##################################################
*/

/*************************************************************************
 *  ֐    : WinFrame_StartCallBack
 *  e    : EBhEgJnR[obN`֐
 *      : O[o֐
 *  쐬  :  j (Yoshio Hashiguchi)
 *  쐬  : 98-06-10
 *  Rg:
 *------------------------------------------------------------------------
 *  in : Float left   EBhEwW
 *       Float top    EBhExW
 *       Float right  EBhEEwW
 *       Float btm    EBhExW
 *  out: TRUE i`Ij
 *       FALSEi`rj
 *************************************************************************
 */
Sint32 WinFrame_StartCallBack(Float left, Float top, Float right, Float btm)
{
    static Sint16 cbCount = 0;
    Float h = (right - left) / FRAMECUT * cbCount;
    Float v = (btm - top) / FRAMECUT * cbCount;

    if (cbCount >= FRAMECUT) {
        cbCount = 0;
        return TRUE;
    }
    cbCount++;

    /* EBhEg\ */
    HTtDrawBox(-1, -1, h + 1, v + 1, 0, FRAMECOL);
    HTtDrawBox(-2, -2, h + 2, v + 2, 0, FRAMECOL);

    return FALSE;
}

/*
######## [J֐ ####################################################
*/

/*
######## ܂ ########################################################
*/
