#include <ninja.h>

/*
  foge[u̍쐬(1)
  ========================================
  in:	fog.. 쐬foge[ůi[
  		density..	fog͈
  out:	none
 */
void gen_fog(NJS_FOG_TABLE	fog, Float density)
{
	int i;
	njGenerateFogTable2(fog, density);
		
	for (i = 0 ; i < 128 ; i++) {
		float x = (float)(i / 127.0);
		fog[127 - i] = x * x * x * x;
	}
	fog[127] = 0;
}

/*
  foge[u̍쐬(2)
  ========================================
  in:	fog.. 쐬foge[ůi[
  		density..	fog͈
  out:	none
 */
void CreateFogTable(NJS_FOG_TABLE fog, float density)
{
	int i;

	njGenerateFogTable2(fog, density);
	for (i = 0 ; i < 128 ; i++) {
		fog[i] = (float)(1. / ((1 << (i >> 4)) * ((i & 0xf) + 16) / 16.0));
	}
}
