/*============================================================
 * Name  : smp_frame.c
 *
 * Desc  : t[`悷R[obÑTv
 *
 * prefix:
 *
 * $Id$
 *
 * $Log$
 *============================================================*/

#if DOCUMENT
#endif

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include "htwindow.h"

/*============================================================
  Define
  ============================================================*/

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/

/*============================================================
  Globals
  ============================================================*/

/*============================================================
  Static
  ============================================================*/
static Sint32 counter = 0;
static Sint32 state = 0;

/*============================================================
  Local Prototypes
  ============================================================*/



Sint32 Draw_Active_Frame(Float left, Float top, Float right, Float bottom)
{
	Float h = right - left + 1;
	Float v = bottom - top + 1;

	counter++;
	if (state == 4) {
		state = 0;
		return TRUE;
	} else {
		counter++;
		if (counter > 10) {
			state++;
			counter= 0;
		}
		switch (state) {
		case 4:
		case 3:
			HTtDrawLine(-2, -2, -2, v, 0, GRAY80_COL);
			HTtDrawLine(-3, -3, -3, v + 1, 0, GRAY60_COL);
		case 2:
			HTtDrawLine(-2, v, h, v, 0, GRAY40_COL);
			HTtDrawLine(-3, v + 1, h + 1, v + 1, 0, GRAY20_COL);
		case 1:
			HTtDrawLine(h, -2, h, v, 0, GRAY40_COL);
			HTtDrawLine(h + 1, -3, h + 1, v + 1, 0, GRAY20_COL);
		case 0:
			HTtDrawLine(-2, -2, h, -2, 0, GRAY80_COL);
			HTtDrawLine(-3, -3, h + 1, -3, 0, GRAY60_COL);
		}
	}
}

Sint32 Draw_Frame(Float left, Float top, Float right, Float bottom)
{
	Float h = right - left + 1;
	Float v = bottom - top + 1;

	HTtDrawLine(-2, -2, -2, v, 0, GRAY80_COL);
	HTtDrawLine(-3, -3, -3, v + 1, 0, GRAY60_COL);
	HTtDrawLine(-2, v, h, v, 0, GRAY40_COL);
	HTtDrawLine(-3, v + 1, h + 1, v + 1, 0, GRAY20_COL);
	HTtDrawLine(h, -2, h, v, 0, GRAY40_COL);
	HTtDrawLine(h + 1, -3, h + 1, v + 1, 0, GRAY20_COL);
	HTtDrawLine(-2, -2, h, -2, 0, GRAY80_COL);
	HTtDrawLine(-3, -3, h + 1, -3, 0, GRAY60_COL);
}
