/*************************************************************************
 *	t@C	:	file.h
 *
 *	e		:	W[̃[h֘A
 *
 *	vtBbNX: file_
 *
 *	쐬		:	s.kuwata
 *
 *	쐬		:	1998/7/3	6
 *
 *	Rg	:	SĂ̊֐ɉāA
 *					߂lƂGDFS_ERR_OKAĂΐ!
 *
 *	o[W	:   
 *
 ************************************************************************/
#ifndef	__FILE_H
#define	__FILE_H

/*
######## CN[ht@C ########
*/
#include "define.h"
#include <sg_gd.h>


/*
######## 萔錾 ########
*/

/*
######## }N ########
*/

/* ̕ӂ͎Rɏč\܂ */
#define FILE_BUFFER_SIZE		(GDD_FS_SCTSIZE/4)	/* ꎞIɍobt@TCY */
#define FILE_DIRSIZE			(64)				/* fBNgTCY */
#define FILE_RING_BUFFER_MAX	6					/* wb_܂񂾐ǂݗvpOobt@̍ől */


/* VXẽG[R[hpɍĒ` */
#define    FILE_OK			GDFS_ERR_OK			/* I */
#define    FILE_CANTOPEN	GDFS_ERR_CANTOPEN	/* t@CJȂ */
#define    FILE_NOHNDL		GDFS_ERR_NOHNDL		/* nhȂ(NULL) */
#define    FILE_NOTDIR		GDFS_ERR_NOTDIR		/* fBNgȂ */
#define    FILE_BUSY		GDFS_ERR_BUSY		/* 炩̓ǂݍݏĂ */
#define    FILE_NOTREAD		GDFS_ERR_NOTREAD	/* ǂݍ݃ZN^ */
#define    FILE_NOTREADY	GDFS_ERR_NOTREADY	/* ̏ĂȂ */
#define    FILE_FATAL		GDFS_ERR_FATAL		/* 炩̎s */

/* mۗpG[R[h */
enum FILE_MEMORY_ERROR{
	FILE_MEMORY_OK		 	= -1,/*  */
	FILE_BUFFER_OVERFLOW 	= -2,/* obt@I[o[t[ */
	FILE_DUPLICATE_DELETE 	= -3,/* 2d폜 */
	FILE_INDEX_APPOINT_MISS = -4,/* sȔzANZX */

	FILE_MEMORYERROR_END
};

/* ǂ݃NGXgobt@݂̌̏ */
enum FILE_STATUS{
	FILE_STATUS_DUMMYHEADER,/* ̓wb_ */
	FILE_STATUS_NOUSE,		/* gĂȂ */
	FILE_STATUS_REQUEST,	/* NGXgĂ */

	FILE_STATUS_END
};
/*
######## \̐錾 ########
*/
/*#####[t@Cnh]#####*/
typedef	GDFS FILE_HANDLE;
typedef char FILE_NAME;

/*
######## O[oϐ ########
*/

/*
######## ֐̐ƃvg^Cv錾 ########
*/
/*********************** O[o֐  *********************************/
/*********************** A֐  *********************************/
/*************************************************************************
 *	֐	:	File_AutoLoadToRealAddressForCompletion(void)
 *	e	:	AhXɃt@C[h
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * 
 *------------------------------------------------------------------------
 *	in : 	FILE_NAME 	*readFileName, 		t@C
 *			FILE_NAME 	*readDirectoryName,	fBNg
 *			Uint32 		*readAddress		[hAhX
 *
 *	out:	Sint32:	G[R[h
 *************************************************************************/
Sint32 File_AutoLoadToRealAddressForCompletion(FILE_NAME *readFileName, 
											   FILE_NAME *readDirectoryName,
											   Uint32 *readAddress);


/*************************************************************************
 *	֐	:	File_AutoLoadToHeapMemoryForCompletion(void)
 *	e	:	q[v̈̃obt@Ƀt@C[h
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * 
 *------------------------------------------------------------------------
 *	in : 	FILE_NAME 	*readFileName, 		t@C
 *			FILE_NAME 	*readDirectoryName,	fBNg
 *			Uint32 		**readAddress		[hobt@ւ̃|C^
 *	out:	Sint32:	G[R[h
 *************************************************************************/
Sint32 File_AutoLoadToHeapMemoryForCompletion(FILE_NAME *readFileName, 
											   FILE_NAME *readDirectoryName,
											   Uint32 **readAddress);


/**************************   A֐Q   *************************/
/*------------------------ NGXgobt@ ------------------------*/
/*************************************************************************
 *	֐	:	File_InitEntryFileRequest
 *	e	:	t@CNGXg̏
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.18
 *	Rg:   Oobt@Ƃč\z
 *------------------------------------------------------------------------
 *	in:		void
 *	out:	G[R[h
 *************************************************************************/
GLOBAL Sint32 File_InitEntryFileRequest(void);


/*************************************************************************
 *	֐	:	File_SetEntryFileRequest
 *	e	:	t@CNGXg̓o^
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.18
 *	Rg:   Oobt@Ƃč\z
 *------------------------------------------------------------------------
 *	in:		FILE_NAME *readFileName 		t@C
 *			FILE_NAME *readDirectoryName	fBNg
			Uint32	 *readAddress		AhX[hԒn
 *	out:	쐬obt@̃CfbNX(FILE_MEMORY_ERROR)
 *************************************************************************/
GLOBAL Sint32 File_SetEntryFileRequest(FILE_NAME *readFileName, 
								FILE_NAME *readDirectoryName,
								Uint32	 *readAddress);


/*************************************************************************
 *	֐	:	File_DeleteEntryFileRequestAll
 *	e	:	t@CNGXg̑S폜
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.18
 *	Rg:   Oobt@Ƃč\z
 *------------------------------------------------------------------------
 *	in:		void
 *	out:	G[R[h(FILE_MEMORY_ERROR)
 *************************************************************************/
GLOBAL Sint32 File_DeleteEntryFileRequestAll(void);


/*************************************************************************
 *	֐	:	File_DeleteEntryFileRequest
 *	e	:	w肵t@CNGXg̍폜
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.18
 *	Rg:   Oobt@Ƃč\z
 *------------------------------------------------------------------------
 *	in:		Sint32	requestNumber 폜ÕNGXgobt@vf
 
 *	out:	NANGXgԍG[R[h(FILE_MEMORY_ERROR)
 *			폜ɐȂ-1Ԃ
 *************************************************************************/
GLOBAL Sint32 File_DeleteEntryFileRequest(Sint32 requestNumber);


/*************************************************************************
 *	֐	:	File_GetEntryNumber
 *	e	:	SGg[𓾂 
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.18
 *	Rg:   Oobt@Ƃč\z
 *------------------------------------------------------------------------
 *	in:		void
 *									
 *	out:	o^ĂGg[
 *************************************************************************/
GLOBAL Sint32 File_GetEntryNumber(void);


/*  ------------------------- t@C암 ---------------------------*/
/*************************************************************************
 *	֐	:	File_StopLoadReturnAtOnce
 *	e	:	t@C[h~(A)
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * *
 *------------------------------------------------------------------------
 *	in : 	void
 *	out:	Sint32:		G[R[h
 *************************************************************************/
GLOBAL Sint32 File_StopLoadReturnAtOnce(void);


/*************************************************************************
 *	֐	:	File_AllStopLoadReturnAtOnce
 *	e	:	t@C[hS~(A)
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * *
 *------------------------------------------------------------------------
 *	in : 	void
 *	out:	Sint32:		G[R[h
 *************************************************************************/
GLOBAL Sint32 File_AllStopLoadReturnAtOnce(void);


/*************************************************************************
 *	֐	:	File_AllLoadReturnAtOnce
 *	e	:	SNGXgobt@t@C[h(A)
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * *
 *------------------------------------------------------------------------
 *	in : 	void
 *	out:	Sint32:		G[R[h 
 *************************************************************************/
GLOBAL Sint32 File_AllLoadReturnAtOnce(void);


/*************************************************************************
 *	֐	:	File_GetFileStatusReturnAtOnce
 *	e	:	w肵t@Cobt@݂̌̏Ԃo(A)
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  foOp
 * 
 *------------------------------------------------------------------------
 *	in : 	Sint32		requestNumber	t@Cobt@̔ԍ
 *	out:	Sint32		t@C̏	gp	FILE_STATUS_NOUSE
 *										gp	FILE_STATUS_REQUSET
 *************************************************************************/
GLOBAL Sint32 File_GetFileStatusReturnAtOnce(Sint32 requestNumber);


/*************************************************************************
 *	֐	:	File_GetAllFileStatusReturnAtOnce(void)
 *	e	:	St@CǂݏIǂԂ
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  foOp
 * 
 *------------------------------------------------------------------------
 *	in : 	void
 *	out:	Sint32:		St@C̓ǂݍݏ
 *						TRUEȂǂݍݏIAFALSEȂǂݍݒ
 *************************************************************************/
GLOBAL Sint32 File_GetAllFileStatusReturnAtOnce(void);


/*************************************************************************
 *	֐	:	File_PrintInformationAtOnce
 *	e	:	t@Cǂݍݏo(A)
 *		:	O[o֐
 *	쐬	:	s.kuwata
 *	쐬	:	1998.6.9
 *	Rg:  
 * *
 *------------------------------------------------------------------------
 *	in : 	void
 *	out:	Sint32:		G[R[h
 *************************************************************************/
Sint32 File_PrintInformationAtOnce(void);




/*********************** VXebv֐  *****************************/
/*************************************************************************
 *	Function	: FILE_gdFsInit
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿnmax_open     ... ɃI[vłt@C
 *       gdfs_work    ... [NGÃ|C^ ([U[̈悩)
 *       max_dirent   ... JgfBNg̃Gg
 *       gdfs_dirrec  ... JgfBNg̃obt@ ([U[̈悩)
 *mónȂ
 *m߂lnGDFS_ERR_OK ... I
 *          ̑      ... G[
 *m@\nCȕB
 *
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsInit(Sint32 max_open, void *gdfs_work, Sint32 max_dirent, void *gdfs_dirrec);


/*************************************************************************
 *	Function	: FILE_gdFsCreateDirhn
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs_dirrec  ...  fBNg̃obt@
 * 		  max_dirent   ...  fBNg̃Gg
 *mónȂ
 *m߂lnfBNgR[hnh
 *************************************************************************
*/
GLOBAL GDFS_DIRREC FILE_gdFsCreateDirhn(void *gdfs_dirrec, Sint32 max_dirent);


/*************************************************************************
 *	Function	: FILE_gdFsLoadDir
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿndirname      ...  fBNg
 *móngdfs_dirrec  ...  fBNgR[hnh
 *                	      (NULL ̏ꍇ̓JgfBNg)
 *m߂l]GDFS_ERR_OK ... I
 *          ̑      ... G[
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsLoadDir(Sint8 *dirname, GDFS_DIRREC gdfs_dirrec);


/*************************************************************************
 *	Function	: FILE_gdFsChangeDir
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿndirname  ...  fBNg
 *mónȂ
 *m߂lnGDFS_ERR_OK ... I
 *          ̑      ... G[
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsChangeDir(Sint8 *dirname);


/*************************************************************************
 *	Function	: FILE_gdFsOpen
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿnfname        ...  t@C
 *        gdfs_dirrec  ...  t@CfBNgR[hnh
 *                          (NULL ̏ꍇ̓Jg猟)
 *mónȂ
 *m߂lnNULL      ...  s
 *          ȊO  ...  t@Cnh
 *************************************************************************
*/
GLOBAL GDFS FILE_gdFsOpen(Sint8 *fname, GDFS_DIRREC gdfs_dirrec);


/*************************************************************************
 *	Function	: FILE_gdFsGetFileSize
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs     ...  t@Cnh
 *món*fsize   ...  t@CTCY (oCg)
 *m߂lnTRUE / FALSE
 *************************************************************************
*/
GLOBAL Bool FILE_gdFsGetFileSize(GDFS gdfs, Sint32 *fsize);


/*************************************************************************
 *	Function	: FILE_gdFsRead
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs     ...  t@Cnh
 *       nsct     ...  ǂݍރZN^
 *       buf      ...  i[obt@
 *mónȂ
 *m߂lnGDFS_ERR_OK ... I
 *          ̑      ... G[
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsRead(GDFS gdfs, Sint32 nsct, void *buf);


/*************************************************************************
 *	Function	: FILE_gdFsClose
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs   ...  t@Cnh
 *mónȂ
 *
 *************************************************************************
*/
GLOBAL void FILE_gdFsClose(GDFS gdfs);


/*************************************************************************
 *	Function	: FILE_gdFsReqRd32
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs     ...  t@Cnh
 *       nsct     ...  ǂݍރZN^
 *mónbuf      ...  i[obt@
 *m߂lnۂɃNGXgꂽZN^ (> 0)B̂Ƃ̓G[R[hB
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsReqRd32(GDFS gdfs, Sint32 nsct, void *buf);


/*************************************************************************
 *	Function	: FILE_gdFsGetStat
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs   ...  t@Cnh
 *mónȂ
 *m߂lnt@CXe[^X
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsGetStat(GDFS gdfs);


/*************************************************************************
 *	Function	: FILE_gdFsGetNumRd
 *	Contents	:
 *	Kind		: Global Function
 *	Producer	: S.Kuwata
 *	ProduceDate	: 98/6/22
 *	Comment		:
 *------------------------------------------------------------------------
 *ḿngdfs  ...  t@Cnh
 *mónȂ
 *m߂ln0 ȏ  ...  ǂݍ񂾃oCg
 *************************************************************************
*/
GLOBAL Sint32 FILE_gdFsGetNumRd(GDFS gdfs);


#endif	/* #ifndef __FILE_H */

