/*
 * sysinit.c -- xVXe֐
 *
 * $Id: sysinit.c,v 1.1 1998/04/20 15:55:34 horita Exp horita $
 *
 * $Log: sysinit.c,v $
 * Revision 1.1  1998/04/20 15:55:34  horita
 * Initial revision
 */

#include <shinobi.h>
#include <NjDef.h>
#include "system.h"

/*
 * Ninja ɕKvȂ
 */
NJS_VIEW 	view;
extern NJS_MATRIX 	matrix[MAX_MATRIX];
NJS_TEXMEMLIST 	tex[MAX_TEXTURE];
extern NJS_VERTEX_BUF	vbuf[MAX_VERTEX_BUFF];
NJS_FOG_TABLE	fog;
Uint32 		attr;

/* 
 *  
 */
static NJS_LIGHT	light;

/* 1998/07/02 morosawa add */
/* eNX`[i[GA */
#define TEX_BUF_MAX		(0x40000*16)
Sint8 texturebuf[TEX_BUF_MAX];


void InitSystem(int res, int frame_mode, int interval)
{
	Uint32 		attr;

	/* n̏ */
    sbInitSystem(res, frame_mode, interval);
    njClipZ(0.0, -30000.0);

	/* 1998/07/02 morosawa add */
	njInitTextureBuffer((Sint8 *)texturebuf, TEX_BUF_MAX);


    njInitVertexBuffer( MAX_VERTEX, 0, MAX_VERTEX, 0);
    njInit3D( vbuf, MAX_VERTEX_BUFF );
    njInitMatrix(matrix, MAX_MATRIX, 0);
    njInitView(&view);
	njSetView(&view);
    njSetPerspective(NJM_DEG_ANG(45.0));
    njInitTexture(tex, MAX_TEXTURE);
    njControl3D(NJD_CONTROL_3D_CONSTANT_ATTR);
/*  attr = NJD_FILTER_BILINEAR|NJD_FLAG_USE_ANISOTROPIC|NJD_TRANSPARENT; */
/*	attr = NJD_FILTER_BILINEAR|NJD_FLAG_USE_ALPHA|NJD_TRANSPARENT; */
/*	attr = NJD_FILTER_BILINEAR|NJD_FLAG_USE_ALPHA; */
	attr = NJD_FLAG_USE_ALPHA;
	njSetConstantAttr(0xffffffff, attr);
    njSetBackColor(0xff000000, 0xff000000, 0xff000000);

	/* WIȃCg̃Zbg */
    njCreateLight( &light, NJD_AMBIENT );
    njSetLightIntensity(&light, 1.0, 1.0, 1.0);
}

void init_system(int interval)
{
	InitSystem(NJD_RESOLUTION_VGA, NJD_FRAMEBUFFER_MODE_ARGB1555, interval);
}

/* 
 *  ̐
 */
void disable_ambient_light()
{
    njLightOff(&light);
}

void enable_ambient_light()
{
    njLightOn(&light);
}

