
/*============================================================
 * Name  : htfont.h
 *
 * Desc  : tHgT[o[̒`
 *
 * prefix: htFont
 *
 * $Id: htfont.h,v 1.1 1998/04/13 06:22:35 horita Exp horita $
 *
 * $Log: htfont.h,v $
 * Revision 1.1  1998/04/13 06:22:35  horita
 * Initial revision
 *
 *============================================================*/

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include <ninja.h>
#include <mytype.h>

/*============================================================
  Define
  ============================================================*/
typedef enum {
	HTFONTATTR_POS_LEFT,
	HTFONTATTR_POS_CENTER,
	HTFONTATTR_POS_RIGHT
} HTFontAttr;

/*============================================================
  API
  ============================================================*/
void htFontInit(void);
void htFontLoad(LPUint8 ank_name, LPUint8 knj_name);
void htFontLoadAnk(LPUint8 fname);
void htFontGet(Uint16 Font_Code, void* Addr, Sint32 with);
void htFontGetStr(LPUint8 Kanji_Str, void* Addr, Sint32 with, HTFontAttr attr);
void htFontSetColor(Uint16 Fore_Color, Uint16 Back_Color);

/*============================================================*
 * End of File                                                *
 *============================================================*/

