/*============================================================
 * Name  : htwinraderchart.h
 *
 * Desc  : [_[`[gNX
 *
 * prefix: HTt
 *
 * $Id: htwinraderchart.h,v 1.1 1998/04/20 06:01:34 horita Exp horita $
 *
 * $Log: htwinraderchart.h,v $
 * Revision 1.1  1998/04/20 06:01:34  horita
 * Initial revision
 *
 *============================================================*/

#ifndef __HTWINRADERCHART_H__
#define __HTWINRADERCHART_H__

#if DOCUMENT
#endif

/*============================================================
  Include
  ============================================================*/
#include <stdio.h>
#include "htwindow.h"
#include "htwinitem.h"
#include "mytype.h"

/*============================================================
  Define
  ============================================================*/

/*============================================================
  Macro
  ============================================================*/

/*============================================================
  Structure
  ============================================================*/
typedef struct tagHTtRaderChartArg HTtRaderChartArg;
typedef struct tagHTtRaderChartArg *LPHTtRaderChartArg;
struct tagHTtRaderChartArg {
	HTWINGadget node;								/* Npm[h */
	Sint32		nItem;								/* ڐ */
	Sint32		nGraph;								/* Ot̐ */
	LPFloat 	*lpp_val;							/* eOt̒l */
	LPHTtItem	lp_explain;							/* Ot̖} */
	LPHTtItem	lp_name;							/* ږ */
	LPFloat		lp_mintable;						/* ŏl̃e[u(ڐKv) */
	LPFloat		lp_maxtable;						/* ől̃e[u(ڐKv) */
	LPSint32	lp_color;							/* Ot̐F(OtKv) */
	NJS_POINT2	center;								/* [_[`[g̒S */
	Float		radius;								/* [_[`[g̔a */
	Sint32		color;								/* [_[`[g̎̐F */
};

/*============================================================
  API
  ============================================================*/
void HTtCreateRaderChart(
	HTWINHANDLE win,								/* EBhEnh */
	LPHTtRaderChartArg arg							/* Rader`[g\pf[^ */
);

#endif /* __HTWINRADERCHART_H__ */
